## CHANGELOG www.dg77.net - Dominique Guebey


## [25] - 2026-07-01
2026-05-30 XSL/dg8_head.xsl Désormais, une page peut avoir
           un nom d'auteur et une page "auteur" 
           particuliers, distincts de ce qui est prévu 
           dans le Config.xml. Éléments d:auteur et 
           d:autpag dans la partie d:description.
2026-04-06 CSS Style design/stylgen.css stylscr.css 
           stylprt.css Dans les sorties "poésie", la marge
           gauche est agrandie pour pouvoir y insérer des
           annotations. Nouvelle classe .fomap.
2026-04-04 XSL/dg_entete.xsl Version imprimable, sortie de
           l'image "favicône", ajout de l'attribut alt 
           dans l'élément img.
2026-03-24 XSL/dg_rss.xsl Liste RSS : correction pour les 
           liens locaux ne commençant pas par '/', pour 
           empêcher l'ajout d'une ancre "#" inutile.
2026-01-18 CSS Style design/stylgen.css stylscr.css 
           stylprt.css Nouvelle classe .encadr pour 
           présenter un texte séparé sous forme 
           "d'encadré".
2026-01-16 CSS Style design/stylscr.css Pour petit écran 
           sur fond noir, éclaircissemnt de la couleur 
           verte des liens.
2026-01-10 script/dg77sw.js Cas des "enfilades", pages 
           avec liens vers précédente et suivante. On 
           peut désormais utiliser au clavier les touches 
           flèches (arrow) à droite et à gauche.
2025-12-27 XSL/dg8_h.xsl Sommaire automatique d'une page
           qui se termine par des notes. Si le sommaire se
           termine par un lien vers la section "Notes" : 
           désormais l'alternance des couleurs de fond 
           fonctionne pour cette dernière ligne (avant, 
           la même couleur était toujours utilisée).
2025-12-27 CSS Style design/stylgen.css Dans une <figure>,
           ajout à <figcaption> d'une clause 
           min-width:160px; pour améliorer l'affichage du 
           texte sur/sous une image inexistante ou petite.
2025-12-23 XSL/dg_lien.xsl Correction pour le cas d'URL 
           qui commence par £dg77£. Le template c_href 
           n'est pas adéquat. Constaté dans la barre de
           menu d'une page en "langue secondaire".
2025-12-14 XSL/dg_out.xsl Test pour appel du template 
           sornotes (notes en bas de page), omettre les 
           notes incluses dans une galerie d'images.
2025-12-13 CSS Style design/stylscr.css Pour listes et
           descriptions (ol, ul, dl) text-align:left et 
           non plus justify.
2025-12-13 XSL/dg_notes.xsl Notes de bas de page 
           incompatibles avec galerie d'images. 
           Aménagements pour empêcher l'utilisation de 
           notes de bas de page au sein d'une galerie 
           d'image. On ne peut mettre une note dans le 
           texte des images car le numérotage ne concorde 
           pas (s'il y en a plus d'une entre toutes les 
           images). De plus l'index afficherait ces notes
           qui ne le concernent pas.
2025-12-03 CSS Style design/stylgen.css Pour image dans 
           figure (figure img) ajout de max-width:100% 
           pour éviter tout débordement. Il restera à voir
           le décallage à droite.
2025-11-23 CSS Style design/marche_calend.css Les textes 
           de liens sur fond coloré se différencient 
           maintenant par leur couleur par rapport au
           reste du texte.
2025-11-22 XSL/dg_gal_img.xsl Ajout du parametre $znom 
           pour apply-templates. Son absence entraînait un
           URL incomplet sur la version imprimable en cas
           de balise d:hl dans les d:galtxte et d:galtxtf.
2025-10-27 XSL/dg_notes.xsl Notes de bas de page. Suite du
           précédent : il n'est pas nécessaire de spécifier
           l'attribut class="(no)print" dans l'élément
           d:note, le contexte où la note se trouve sera
           appliqué.           
2025-10-26 XSL/dg_notes.xsl Notes de bas de page. On peut
           mettre une classe à l'élément d:note, le but 
           principal est d'avoir une sortie de la note 
           uniquement à l'écran mais pas en impression 
           (class="noprint") ou l'inverse (class)"print").
2025-10-23 CSS Style design/stylprt.css Version imprimée,
           améliorations pour les contenus de la classe 
           "poeme".
2025-10-23 XSL_spec/dg_calend.xsl Tableau "Calendrier". 
           Désormais, on peut fusionner des cellules par
           rangée (attribut @rowspan) ou colonne 
           (@colspan).


## [24] - 2025-10-01
2025-09-29 XSL/dg_rss.xsl Liste RSS : correction pour les
           liens avec ancre ("#").
2025-09-28 XSL/dg_rss.xsl Correction au template 
           exlistrss : cas où le rss2:link est vide ou 
           inexistant [#1137]. 
2025-09-28 CSS Style design/stylgen.css stylprt.css 
           Version imprimée, réduction de taille et 
           modification des padding top et bottom pour
           la class .sizflr utilisée par le "fleuron".
2025-09-27 CSS Style design/stylprt.css Version imprimée,
           pour les titres, réduction de margin-top et 
           margin-bottom.
2025-09-26 XSL/dg8_h.xsl dg_signets.xsl Pour le sommaire, 
           application de la classe "encadre" pour la 
           version sortie imprimée.
2025-09-26 CSS Style design/stylprt.css Nouvelle classe
           "encadre" pour sortir en impression une 
           boîte entourée d'un cadre.
2025-09-26 CSS Style design/stylgen.css stylscr.css
           stylprt.css Définition du padding pour 
           <figure> de stylgen à stylscr et stylprt.
2025-09-26 XSL/dg_entete.xsl Sur imprimante : l'entete ne 
           comporte plus de libelle "page web" avant 
           l'URL.
2025-09-25 CSS Style design/stylgen.css stylscr.css
           stylprt.css Améliorations pour la version 
           imprimable, concernant surtout les titres.
2025-09-25 CSS Style design/stylprt.css Suppression de la 
           classe .cadre inutilisée.
2025-09-24 CSS Style design/stylprt.css Suppression de la 
           classe .sommaire inutilisée.
2025-09-24 CSS Style design/stylprt.css Sur imprimante :
           pour les titres (h1...) break-after:avoid-page;
           ajouté pour empêcher qu'une page se termine par
           un titre. Fonctionne avec Opera, Edge mais pas
           Firefox.
2025-09-23 XSL_spec/dg_calend.xsl Spécifique calendrier. 
           Sortie sur imprimante : la colonne 5 n'apparaît
           plus.
2025-09-23 XSL_spec/dg_calend.xsl Correction au title tête
           de la colonne 5 (code dico est 024 et non pas 
           023).
2025-09-23 CSS Style design/stylprt.css Suppression de la 
           classe .ret inutilisée.
2025-09-23 XSL/dg_entete.xsl Sur imprimante : désormais 
           l'entête sort l'image favicone si elle existe.
2025-09-23 CSS Style design/stylprt.css Ajout d'une 
           spécification @page pour les marges à 
           l'impression.
2025-09-22 CSS Style design/stylgen.css stylscr.css
           stylprt.css Améliorations pour la version 
           imprimable (hauteur de lignes, empêcher les
           images d'êtres coupées).
2025-09-16 Processeur XSLT Saxon : passage à la version 
           12.9 (saxon-he-12.9.jar).
2025-09-11 CSS Style design/stylgen.css stylscr.css
           stylprt.css Évolution des classes pour 
           présenter des vers : .poeme .strophe
2025-09-08 CSS Style design/stylgen.css stylscr.css 
           stylprt.css La classe .ini (paragraphe sans 
           retrait à la première ligne) est généralisée
           et figure donc uniquement dans stylgen.css
2025-09-02 XSL/dg_rss.xsl Test élément guid : désormais on
           regarde s'il commence par "direct", et non plus
           s'il est égal à "direct".
2025-08-27 XSL/dg_rss.xsl Fichier RSS Sortie de la liste 
           des titres (balise d:listrss), suppression d'un
           test inutile : présence d'un "#" (id supposé) 
           dans un URL complet. Il empêchait l'ajout de 
           l'id (contenu dans la balise rss2:guid) [#1129]
2025-07-31 CSS Style design/stylscr.css Classe .bouton :
           cas div.bouton généralisé (div supprimé).
2025-07-24 XSL/dg_img.xsl dg_gal_img.xsl Les dimensions 
           spécifiées par <dgima> ne sont plus ajoutées 
           dans l'attribut @alt mais seulement @title.
2025-07-21 Utilisation de d:bidon : le lien de navigation 
           vers une page de début (en sus du retour prévu 
           par l'attribut @retour pour la page en cours) 
           récupère le @title dans 
           //d:bidon/d:description/d:titre (par défaut on 
           utilise R029 du dictionnaire, qui était 
           jusqu'alors sytématiquement utilisé).
2025-07-09 XSL/dg_rss.xsl Conversion rss en html. 
           Remplacement de l'attribut @dg:format par 
           @format. dg:format est maintenu dans les tests 
           uniquement pour compatibilité.
2025-07-03 XSL/dg_img.xsl Pour les images, ajout d'un 
           caractère de séparation ("|" "pipe") dans les 
           title et alt, entre le texte et les 
           caractéristiques ajoutées par d:dgima.
2025-07-01 CSS Style design/stylscr.css pour id #casting, 
           modification du padding à gauche (utile si 
           texte englobé dans div).
2025-06-29 XSL/dg77_navig.xsl Gestion des liens vers pages
           précédente et suivante (galerie d'image et 
           "enfilades"), on met le titre de la page visée 
           dans le "title" (infobulle) au lieu d'un texte 
           standard.
2025-06-29 CSS Style design/stylscr.css Sur une base de 
           classe "demo", un lien sera de couleur vert 
           pâle (#66ff66) pour le distinguer.
2025-06-28 XSL/dg_out.xsl Nouvel attribut page/@jscripb 
           qui permet d'activer volontairement la fonction 
           SWIPE par appel du script défini par la 
           variable de configuratin $fjscripb.
2025-06-23 script/dg77sw.js Diminution du "threshold" 
           (seuil) de 100 à 75, et optimisation par 
           réduction de la longueur des noms de variables.
2025-06-17 design/stylgen.css dd ul / dd ol margin-right 
           passe de 6 à 0. Dans le cas d'un sommaire à 
           deux niveaux, supprime un disgracieux décallage
           du côté droit.
2025-06-15 XSL/dg_rss.xsl Désormais, à la fin de sortie 
           html du contenu d'un fichier rss, le 
           lastBuildDate sera affiché, comme pour la liste
           simple des titres (listrss).
2025-06-14 XSL/dg_rss.xsl Correction pour sortir 
           l'horodatage "lastBuildDate" en tenant compte 
           de l'amélioration précédente du template 
           listrss.
2025-06-05 XSL/dg_rss.xsl Correction au template 
           exlistrss : désormais les données au format rss
           pourront être intégrées dans un autre format 
           (normalement d:www). Auparavant, dans un tel 
           cas la liste des titres ne pouvait pas 
           s'afficher.
2025-06-02 XSL/dg_lien.xsl dg_hl dg_entete dg_rss 
           dg_gal_img dg_contact dg8_head dg77_navig* 
           Modification au template w_href, appelant un 
           nouveau template c_href. But : ne pas mettre le
           chemin avant le nom du fichier si on reste dans
           le même répertoire. Parametre znom ajouté à 
           l'appel de w_href. dg77_navig : appel à w_href,
           ce qui n'était pas fait auparavant pour élément
           <a>.
2025-06-01 [spécifique] XSL_spec/dg_calend Format 
           Calendrier des compétitions ou autre 
           événements, colonne code archives (A) news 
           (N) : ajout d'une possibilité site web (W) si
           on met un lien externe (avec protocole) au 
           lieu d'un lien local.
2025-05-30 XSL/dg_tchemin.xsl Application au template 
           extrnom du même double traîtement que pour 
           xchemin (prévoir l'utilisation de '\' au lieu 
           de '/').
2025-05-29 XSL/dg8_3.xsl dg_out.xsl Nouvelle variable de
           configuration générale fjscripb, indiquant 
           l'emplacement et le nom du module javascript 
           chargé après la partie <body>.
2025-05-28 XSL/dg77_navig.xsl dg_entete.xsl dg_p.xsl 
           Appel de tnavig (barre de navigation), 
           utilisation d'un nouveau paramètre tnav, pour 
           savoir si on traîte le haut ou le bas de page 
           (but : mettre un id. au lien vers page precedente 
           et page suivante - pagpre/pagsui).
2025-05-28 XSL/dg_out.xsl script/dg77sw.js Chargement 
           d'un script en fin de html (<script src=...).
           Objectif premier : pour exécuter du balayage 
           ("swipe") sur écran tactile. Cet ajout se fait
           pour les enfilades ("thread", pages avec 
           attribut "e" non nul) et les images d'une 
           galerie.
2025-05-27 XSL/dg8_head.xsl Ajout de la possibilité de 
           mettre dans la partie head des spécifications 
           CSS dans une balise <style> (même 
           fonctionnement que pour <script>).
2025-05-25 design/dico.xml support multilingue, ajout du 
           code R401 (erreur 401, unauthorized).
2025-05-23 XSL/dg77_navig.xsl Barre de navigation : Sortie
           du lien vers la Home Page : correction pour 
           l'empêcher s'il s'agit précisément de la Home 
           Page.
2025-05-20 CSS Style design/stylgen.css Ajout d'une classe
           .sizflr pour avoir les caractères à 250%.
2025-05-20 XSL/dg_match.xsl html5 L'élément br (line break
           / saut de ligne) est remis en fonction. Il 
           avait disparu dans la période "xhtml".
2025-05-14 XSL/dg8_h.xsl dg_match.xsl Sommaire 
           automatique : le système instauré le 
           2022-07-25 basé sur la pseudo-classe .dg77dir 
           est supprimé.
2025-05-13 XSL/dg8_h.xsl Sommaire automatique : 
           remplacement du système basé sur la 
           pseudo-classe .dg77dir pour avoir une entrée 
           pointant vers une autre page. Dorénavant on 
           utilisera les balises d:h1, d:h2, etc. à la 
           place de h1, h2, etc.
2025-05-11 CSS Style design/marche_calend.css Liens dans 
           calendrier "marche", sur "petit écran", 
           l'encadrement qui apparaît pour "active" et 
           "focus" sera blanc pour se détacher du fond 
           noir.
2025-05-08 XSL/dg8_head.xsl Suppression de la sortie d'un 
           commentaire inutile. Il contenait la variable 
           $pcss_gen.
2025-05-04 XSL/dg_out.xsl Sortie des notes de bas de page,
           amélioration de la logique du test de d:docu 
           (sortait parfois le titre "Notes" alors qu'il 
           n'y avait aucune note à afficher).
2025-05-04 XSL/dg8_h.xsl Sommaire automatique : dg77dir 
           (cf 2025-04-07), correction, on avait encore 
           des doubles sorties. Modification pour ne pas
           traîter les données mises en dehors du lien 
           <a>, causant un affichage défectueux.
2025-05-03 design/Config.xml XSL/dg8_3.xsl dg77_navig.xsl 
           Simplification : suppression du paramètre 
           retour_js qui donnait éventuellement une liste 
           de pages n'ayant pas le bouton de retour à la 
           page précédente.
2025-04-29 XSL/dg_rss.xsl Pages créées à partir d’un 
           fichier RSS. Correction : les liens locaux 
           sortis sur la version imprimable ne tenaient
           pas compte de la variable paramétrable 
           "protocole" ($protoc), c'était toujours "http"
           qui était sorti.


## [23] - 2025-04-22
2025-04-19 XSL/dg8_3.xsl dg_gal_index.xsl Galerie 
           d'images, nouveau parametre gal_def pour 
           affichage simple de l'index galerie d'images 
           (largeur icone). Si specifie, pas besoin de 
           petites images avec suffixe/prefixe.
2025-04-18 XSL/dg_head.xsl dg_lien.xsl Déplacement du 
           template w_href, de dg8_head.xsl à dg_lien.xsl.
2025-04-11 XSL/dg_rss.xsl Liste des titres ("listrss")
           Simplification de l'appel du template exlistrss
           par le chargement préalable de la variable 
           maxitem.
2025-04-11 XSL/dg_rss.xsl Liste des titres ("listrss")
           Amélioration des liens locaux, on ne met plus 
           une ancre (#) s'il n'y a pas lieu.
2025-04-10 XSL/dg_signets.xsl Listes de liens, template 
           classtit : correction pour ne pas répéter la
           classe autant de fois qu'on la trouve dans 
           les éléments "categorie".
2025-04-09 XSL/dg_out.xsl Sortie en commentaire à la fin 
           de l'indication du fichier source xml.
2025-04-07 XSL/dg8_h.xsl Sommaire automatique : pour le 
           sommaire normal (<dt>/<dl>), révision pour 
           empêcher une double sortie du lien (le premier
           étant sans texte) s'il pointe vers une autre 
           page (dg77dir). Dans ce cas suppression du 
           xsl:for-each, qui pose problème pour xsl:choose
           dans la boucle. Remplacé par xsl:if.
2025-04-07 XSL/dg8_h.xsl Sommaire automatique, correction,
           suppression de la double sortie de <dd>.
2025-04-05 XSL/dg8_head.xsl Insertion de script in-extenso
           dans la partie head. Possibilité d'insérer le 
           contenu d'un fichier xml externe. Utilisation 
           de d:inclure.
2025-04-01 XSL/dg_match.xsl Template spécifique pour la 
           balise script. Objet : pouvoir inclure un 
           script dans le corps de la page, pas seulement 
           la partie head.
2025-03-29 CSS Style design/stylscr.css Sur "petit écran",
           désormais les datations créé/modifié sont
           affichées en bas de page comme pour les autres 
           formats.
2025-03-20 CSS Style design/stylscr.css Largeur "main" sur 
           écran (max-width) : passe de 900 à 924 pixels. 
           Largeur pour éléments p, dl, ol, ul : margin 
           latérales passent de 72 à 92. But premier : 
           éviter le débordement à droite pour une image 
           de 900px de large.
2025-03-10 CSS Style design/stylscr.css Coloration 
           alternée : la couleur alternative n'est plus le
           blanc normal mais un vert pâle. Améliorations 
           dans la présentation des liens de sommaire 
           correspondant à des sous-titres.
2025-03-10 XSL/dg8_h.xsl Simplification pour les sortie en
           coloration alternée du fond : classe bgalt_a/b 
           mise dans une variable, les traitements ne sont
           plus en double.
2025-03-09 XSL/dg8_h.xsl Sommaire automatique : 
           rétablissement de la coloration alternée du 
           fond qui avait été ôtée le 2024-08-24.
2025-03-09 CSS Style design/stylscr.css Coloration 
           alternée : la couleur de fond passe à
           #ccdddd afin d'être dans la dominante verdâtre
           du style général (auparavant était restée 
           bleu pâle, ce qui détonnait).
2025-03-02 CSS Style design/stylscr.css Largeur des menus
           déroulants augmentée de 200 à 250 px.
2025-02-13 CSS Style design/stylscr.css XSL/dg77_navig.xsl
           Barre de navigation modifiée. Le bouton retour
           par javascript n'a pas la même apparence et 
           est le plus à gauche (auparavant il était entre
           le bouton Home-Page et les autres). Nouvelle 
           classe .boutret.
2025-02-11 XSL/dg_gal_img.xsl Introduction d'une balise 
           d:galsub dont le but est de créer un index 
           d'image sans produire les pages images 
           correspondantes, car ces dernières sont 
           supposées préexister dans une galerie normale. 
           [Inconvénient : sur la page image, les liens de
           la barre de navigation ne correspondront pas à 
           cet index subsidiaire.]
2025-02-11 CSS Style design/stylscr.css Modification pour
           la présentation des cases #menutab en fonction 
           de :link :visited :hover :focus :active.
2025-02-06 XSL/dg_gal_img.xsl Pour l'attribut dglicence, 
           ajout de la variable $ilien comme pour les 
           liens dg:a et d:hl (cf 2025-02-04).
2025-02-06 XSL/dg_gal_img.xsl Page image de galerie : 
           correction, l'attribut width n'était pas sorti
           dans l'élément <img>.
2025-02-04 XSL/dg_lien.xsl dg_hl.xsl dg7_head.xsl Appel 
           du template w_href pour les liens : 
           introduction d'un "top" (variable $ilien) pour 
           signaler qu'on traite un lien dans le corps de 
           la page.
2025-02-04 XSL/dg_rss.xsl Listrss : amélioration 
           consécutive à des changement dans le template 
           w_href (distinguer présence d'ancre '#...').
2025-02-04 XSL/dg8_head.xsl Correction dans w_href : il 
           faut tenir compte du cas où le lien pointe vers
           une ancre locale (#...).
2025-02-03 XSL/dg8_head.xsl Template w_href : suppression 
           d'un cas qui empêchait l'utilisation de liens
           relatifs.
2025-02-03 XSL/dg_notes.xsl Appel de note de bas de page :
           le numéro de note s'affiche en caractères de 
           taille réduite.
2025-01-26 CSS Style design/stylgen.css Pour <figure>, 
           correction pour conserver le centrage de 
           l'image quand la légende <figcaption> est plus
           large. Divers aménagements de <figcaption>.
2025-01-23 XSL/dg_notes.xsl Note de bas de page : au cas 
           où un @id a été spécifié, ce dernier est 
           affiché entre < et > en début de note.
2025-01-22 CSS Style design/stylscr.css / XSL/dg_rss.xsl 
           Suppression de la classe .result
2025-01-22 XSL/dg_rss.xsl Mention "lastBuildDate" : 
           désormais translitération du jour de semaine et
           du nom du mois en fonction du code langue, au 
           lieu de reprendre tel-quel l'horodatage ISO.
2025-01-22 CSS Style design/stylscr.css Améliorations pour
           le menu déroulant des langues secondaires.
2025-01-21 XSL/dg_entete.xsl Intégration du bouton de 
           choix de langue secondaire au sein de la barre
           de menu. Traitement déplacé dans un nouveau 
           template tesloc.
2025-01-20 CSS Style design/stylscr.css Désormais la barre
           de menu est centrée au lieu de flotter à gauche 
           avec une marge variable suivant la taille 
           écran. Première utilisation de FLEX.


## [22] - 2025-01-01
2024-12-23 XSL/dg_ga_img.xsl Page image de "galerie" : 
           correction pour ne pas sortir "Copyright" s'il 
           n'y a aucune mention correspondante.
2024-12-21 design/Config.xml XSL/dg8_3.xsl dg8_head.xsl : 
           les clauses de présentation de galerie d'images
           sont désormais incluses dans la feuille de 
           style écran standard, la feuille spécifique 
           (identifiée par la variable paramétrable 
           pcss_gal) devient inutile. Suppression de la 
           variable et de la balise link rel=... 
           correspondante, ainsi que du fichier 
           design/galerie.css. 
2024-12-21 CSS Style design/stylscr.css galerie.css :
           révision de la charte de couleurs (cf 
           2024-01-12). Principales évolutions : 
           Réduction du nombre de couleurs de fond 
           (background) :
           - Barre de menus : le gris #a0a0a0 de #menubar
             remplace #666666 dans les menus déroulants.
           - Barre de navigation : #a0a0a0 à la place de 
             #808080 et #b0b0b0.
           - Titres classe .demo sur petit écran : #909090
             comme les autres dimensions de terminal (au 
             lieu de #505050).
           Teinte verte uniformisée pour les liens, qui 
             restent #007878, et les cadres “#menutab” 
             (auparavant #338888).
           Barre de menu :
           - Gris sombre sur lien par “hover” (#444444) 
             généralisé.
           - Couleur jaune (#ffff00) pour les textes sur 
             lien par “hover” : supprimé.
           Image de galerie : suppression dela classe 
             .galerie, inutile, fond standard e0e0e0, 
             cadre blanc étendu à la balise figure.
2024-12-18 XSL/dg8_3.xsl Code langue : si rien de valide 
           dans le fichier de configuration ni ailleurs, 
           ce sera "fr".
2024-12-17 XSL/dg_entete.xsl dg_contact.xsl dg_p.xsl 
           dg77_navig.xsl Variable znom remplacée par xnom
           (pour appel du template tcont, le bouton 
           "contact" n'était plus affiché en tête).
2024-12-15 CSS Style design/stylscr.css Amélioration de
           l'affichage du bouton de sélection langue 
           principale/secondaire et son menu déroulant.
2024-12-15 XSL/dg_entete.xsl Correction pour obtenir le 
           libellé d'entête en langue secondaire.
2024-12-14 XSL/dg_entete.xsl Langues secondaires : 
           correction pour le lien vers page d'une autre
           langue.
2024-12-14 XSL/dg_entete.xsl Traîtement de l'index 
           d'entête : corrections pour utilisation de 
           l'attribut @lng de l'élément <d:lib> (il y 
           avait faute de frappe pour le nom de cet 
           attribut).
2024-12-12 CSS Style design/stylgen.css Amélioration en 
           cas de segments en italique imbriqués.
2024-12-12 XSL/dg_entete.xsl Support multilingue : 
           correction à la modification du 2024-12-09 
           (sortie défectueuse de l'entête et de la barre
           de menu).
2024-12-11 CSS Style design/stylprt.css Suppression de la
           classe "saut", inutilisée.
2024-12-09 CSS Style design/stylscr.css Nouvelle 
           classe .slang pour le menu déroulant des
           codes langues.
2024-12-09 design/dico.txt Nouveau code R030.
2024-12-09 XSL/dg8_3.xsl Support multilingue. Le code 
           langue mis une deuxieme fois dans une variable 
           (baslng) ce qui permet des comparaisons au 
           niveau des pages pour détecter une différence 
           par rapport à la langue de base.
2024-12-09 XSL/dg_entete.xsl Support multilingue. 
           Possibilité d'avoir des pages traduites en 
           langue secondaire à partir d'une page en langue
           de base. Fonctionne avec le nouvel attribut 
           dglocal.
2024-12-06 CSS Style design/stylgen.css stylscr.css 
           Modification police et taille des caractères :
           sur écran police principale Verdana, taille 
           reste à 14, titres en police avec empattement 
           Georgia.
2024-12-06 XSL/dg_out.xsl Remplacement par d:... de 
           dg:cre et dg:upd qui subsistaient. Cela 
           provoquait le chargement de dates de 
           modification, inutile car égales à la date de 
           création.
2024-12-01 XSL/dg_entete.xsl Suite du 2024-11-30 : la 
           variable z_url est supprimée car inutile.
2024-11-30 XSL/dg_entete.xsl Simplification pour la 
           variable z_url qui est en fait égale à znom. Le
           test compliqué qui existait jusqu'alors ne 
           permettait pas d'avoir la bonne barre de menu 
           pour les images d'une "galerie" contenue dans 
           un fichier xml externe.
2024-11-23 XSL/dg8_h.xsl dg_notes.xsl Creation du mode 
           "modsom" pour empecher l'appel de note dans le
           sommaire.
2024-11-21 XSL/dg_p.xsl Support multilingue, version 
           imprimable, nom des mois de création et 
           modification : la traduction n'était pas 
           toujours faite (paramètre omis dans l'appel du
           template tmois).
2024-11-15 XSL/dg_rss.xsl Correction d'un bug pour 
           listrss (liste des "title") : dans le cas où un
           item n'avait pas de lien, le lien href 
           résultant était faux.
2024-11-08 XSL/dg_p.xsl Support multilingue : dans la 
           version imprimable, en pied de page pour l'URL
           de la page "à propos / about" : jusqu'à présent
           le texte était fixe (français + anglais). 
           Désormais application de la routine standard
           (template "trad") avec code R011 + code 
           langue pour trouver le texte dans "dico.txt". 
2024-11-05 XSL/dg8_head.xsl "favicon" : désormais <link 
           rel="shortcut icon" etc. n'est plus sorti, ne
           reste que <link rel="icon"...
2024-10-29 script/dg77.js Javascript L'objet du mail 
           envoyé par mailto: contient les chemin et nom 
           du fichier html d'origine.
2024-10-24 XSL/dg_match.xsl dg8_3.xsl Le module 
           dg_table.xsl devient inutile : éléments traîtés
           désormais par dg_match (table, tr, td,
           caption, thead, tbody, tfoot, th). 
           Cf 2024-05-31.
2024-10-24 XSL/dg_gal_img.xsl dg_notes.xsl dg_rss.xsl 
           dg_signets.xsl dg_table.xsl : suppression des 
           mentions relatives au processeur Saxon (xmlns: 
           et exclude-result-prefixes), inutiles. 
2024-10-18 XSL/dg_out.xsl Correction d'une erreur pour la
           sortie de la date de mise à jour en pied de 
           page à partir d'un fichier externe. Quand 
           d:upd était vide dans le fichier xml de base, 
           c'est la date de création qui était utilisée.
2024-10-18 XSL/dg_img.xsl dg_gal_img.xsl dg_gal_index.xsl
           Pour affichage de la largeur/hauteur d'image, 
           "l:" remplacé par "w:".
2024-10-14 XSL/dg8_h.xsl Exception au chargement 
           systématique de @title par le contenu de @id si
           @title absent : on ne le fait plus dans le cas 
           où il y a un id "menutab".
2024-10-12 XSL/dg77_navig.xsl Support multilingue : 
           application au retour au niveau supérieur du 
           code 0029, le template "trad" n'était pas 
           encore utilisé à cet endroit.
2024-10-12 XSL/dg77_navig.xsl Support multilingue : 
           "precedent" a le code lexique 002 et non plus 
           003. Inversement "retour" est 003, pas 002.
           (cf template "trad")
2024-10-12 XSL/dg77_navig.xsl Corrections pour le 
           bouton de retour au niveau précédent (indiqué 
           dans @retour - facultatif).
2024-10-10 XSL/dg77_navig.xsl design/dico.xml Support
           multilingue : ajout de la fonction dans le 
           template tprec ("retour", dictionnaire : R003).
           Ainsi que pour galeries d'images : 
           "index images" et "début". (dictionnaire : R028
           et R029).
2027-10-10 XSL/dg_out.xsl Pour fonctionnement de la 
           barre de navigation : initialisation de la 
           variable $f_retour : chargement uniquement si 
           elle est non nulle (sinon il y a un '/' 
           indésirable qui subsiste).


## [21] - 2024-10-06
2024-10-03 XSL/dg_notes.xsl Corrections pour empêcher 
           un plantage si d:docu existe et est vide dans 
           la partie d:description. Amélioration après 
           cette correction pour éviter aussi une 
           numérotation des notes "a" au lieu de "1" qui 
           se produisait dans ce cas.
2024-09-30 XSL/dg8_3.xsl Ajout de li dt dd td h1 h2 h3
           h4 h5 h6 figcaption, à la liste des éléments 
           concernés par xsl:strip-space.
2024-09-28 XSL/dg_notes.xsl Pages avec notes de bas de
           page, correction pour la version imprimable : 
           le titre "Notes" sortait avant le saut de page.
2024-09-27 XSL/dg_out.xsl Notes de bas de page : 
           numérotage différencié dans le cas où des notes
           se trouvent dans un fichier externe mais aussi
           dans le xml de base.
2024-09-27 XSL/dg_out.xsl Notes de bas de page : 
           aménagement pour éviter la double sortie du 
           titre "Notes" s'il existe des notes dans 
           l'éventuel fichier externe (docu="xxx") et 
           aussi dans le xml de départ.
2024-09-26 CSS Style design/stylgen.css Affichage des 
           menu en tableau "menutab" : modification de la 
           largeur du texte (50% au lieu de 42).
2024-09-25 XSL/dg_3.xsl dg_notes.xsl : notes de bas
           de page : le format du numérotage est 
           initialisé au début du traîtement (variable 
           formnotes).
2024-09-24 XSL/dg_notes.xsl Possibilité de donner au
           numéro de note un format autre que simplement 
           numérique. Initialisation dans la variable
           dformat. Ce peut être 1, 01, i, I, a, A.
2024-09-24 XSL/dg_notes.xsl En cas de notes dans le 
           fichier externe éventuel mais aussi dans le 
           contenu interne de la page, les deux lots de 
           notes sortiront successivement, au lieu d'un 
           seul d'entre eux. La présentation laisse encore
           à désirer mais il n'y aura pas de données non
           affichées.
2024-09-23 CSS Style design/stylscr.css Suppression d'un
           débordement à droite dans les fenêtres de plus
           grande largeur (>1024px)dans le cas notamment 
           d'un sommaire (balise liste ul) de classe demo.
2024-09-23 CSS Style design/stylscr.css stylgen.css Style
           pour "button" amélioré et transféré de stylscr
           à stylgen.css.
2024-09-22 XSL/dg_rss.xsl La mention noindex,nofollow 
           (cf 2024-09-19) n'est pas sortie si préexiste 
           un attribut rel dans la balise <link>.
2024-09-21 XSL/dg_contact.xsl script/dg77.js Javascript 
           Page "contact" : si la variable pcontact est 
           vide, c'est la fonction javascript "contact" 
           qui sera utilisée. Elle est censée fournir 
           l'URL de la page email.
2024-09-19 XSL/dg_rss.xsl Pages issues d'un fichier 
           flux rss ("feed") : les liens sont désormais 
           assortis de la mention rel="noindex,nofollow".
2024-09-19 XSL/dg8_head.xsl Modification du 
           2024-09-10 : la mention "canonical" est 
           attribuée au chemin dépourvu du nom du fichier 
           (ex : http://www.domaine.com/dossier/).
2024-09-19 CSS Style design/stylscr.css Pour balises 
           <pre>, suppression de la clause 
           white-space:pre-wrap; pour les écrans les plus
           larges (>640).
2024-09-18 XSL/dg8_3.xsl dg8_head.xsl Nouvelle 
           variable de configuration générale fjscript, 
           indiquant l'emplacement et le nom du module 
           des fonctions javascript.
2024-09-18 XSL/dg77_navig.xsl Bouton de retour arrière
           par javascript : possibilité d'exclusion 
           générale avec '*' dans la variable retour_js au
           lieu d'un nom de fichier.
2024-09-16 XSL/dg8_h.xsl dg_match.xsl : 
           @class='dg77dir' remplacé par 
           contains(@class,dg77dir).
2024-09-14 XSL/dg_match.xsl Les éléments de classe 
           "dg77dir" sont omis car ils n'ont pas besoin 
           d'être sortis (ils sont "display:none").
           Utilisés uniquement dans le sommaire car il 
           s'agit de liens pointant vers une autre page.
2024-09-13 XSL/dg_match.xsl Commentaires (balise 
           <comment>) : traîtement simplifié 
           (apply-templates remplacé par ".").
2024-09-12 XSL/dg8_head.xsl La chaîne "£dg77£" est 
           désormais utilisable dans l'attribut href de la
           balise link. Auparavant, ce n'était pas le cas.
           Ainsi c'est l'URL intégral et non pas relatif 
           qui pourra être affiché.
2024-09-10 XSL/dg8_head.xsl Ajout d'une balise <link>
           (partie head) avec l'attribut rel="canonical" 
           pour toute page dont le nom contient "index.".
2024-09-10 XSL/dg8_head.xsl Traitement des elements 
           <link> ajoutés in-extenso dans d:description. 
           Traîtement détaillé, notamment de href, au lieu
           de copie simple. L'URL transmis pour 
           rel="alternate" était faux.
2024-09-09 XSL/dg8_h.xsl Ajout de l'attribut "sizes".
2024-09-05 XSL/dg_rss.sxl La mention lastBuildDate 
           est affichée maintenant en italique.
2024-09-01 CSS Style design/stylscr.css Ameliorations 
           diverses pour la sortie des éléments <article>,
           y compris en y incluant un titre en style 
           ".demo", ainsi que pour <pre>, et l'alignement 
           des titres, listes etc. tout ceci vérifié en 
           fonction de la taille des écrans, du maximum 
           au plus petit.
2024-08-28 XSL/dg8_h.xsl Si un élément a un attribut
           @id et pas d'attribut @title alors on lui 
           ajoute un @title contenant le texte de l'@id.
2024-08-28 XSL/dg8_head.xsl Simplification drastique 
           pour la récupération de description et 
           keywords, simplement transmis par paramètres 
           (variables chargées dans le template outhtml).
2024-08-28 XSL/dg_out.xsl Chargement des variables 
           z_desc et z_keyw : auparavant on ne tenait pas
           compte de la possibilité de fichier externe. 
           Modification pour faire fonctionner comme pour 
           datupd et datcre. Simplification pour accéder à
           l'élément concerné. Ce perfectionnement est 
           appliqué aussi à datcre et datupd. Amélioration 
           visant à récupérer les informations de base 
           dans le cas où aucune données n'est trouvée 
           dans le fichier externe.
2024-08-27 XSL/dg_signet Listes de liens : correction
           pour utiliser les éventuels attributs "class", 
           mal utilisés pour le sommaire, et omis dans 
           d:categorie par ailleurs.
2024-08-27 XSL/dg_out.xsl Le template sornote est 
           envoyé systématiquement après chaque envoi du
           template sorcorps. La classe optionnelle
           définie par d:style doit aussi s'appliquer aux
           notes de bas de page.
2024-08-27 XSL/dg_notes.xsl Optimisation : le 
           traîtement de sortie des notes en fin de page
           est mis dans un template "notsort" appelé dans
           les deux cas (fichier externe ou pas).
2024-08-26 XSL/dg8_head.xsl La balise d:corps est 
           supprimée. Elle était utilisée dans un test 
           spécifique, désormais superflu, pour détecter
           une galerie d'image. Cela entraine une 
           adaptation pour sortir les notes en bas de page
           dans le cas de fichier externe (défini dans 
           d:docu).
2024-08-24 XSL/dg8_h.xsl Sommaire automatique : 
           possibilité d'inclure des sous-titres (attribut
           @sub) dans le sommaire au format liste normale.
2024-08-24 XSL/dg8_h.xsl Sommaire automatique : 
           suppression de la coloration alternée du fond
           (imitée des listes de liens/signets).
2024-08-23 XSL/dg8_h.xsl Sommaire automatique : 
           modifications (apply-templates) pour appliquer
           les éléments et attributs contenus dans le 
           titre qui fait lien.
2024-08-22 XSL/dg_notes.xsl Notes de bas de page, 
           optimisation : la sortie du titre final "notes"
           de la page est gérée par un unique nouveau 
           template (sortitnot).
2024-08-22 XSL/dg_notes.xsl Notes de bas de page, 
           appel de note : on n'utilise plus l'élément 
           (balise) <d:corps>.
2024-08-16 XSL/dg_out.xsl Galerie d'image, log/trace :
           dans le cas de sommaire avec icones (élément 
           som_ix), on ne doit sortir que la référence à 
           l'image icone, pas celle de l'image de taille 
           normale (enregistrement ": g").
2024-08-15 XSL/dg_out.xsl Galerie d'image, log/trace :
           suppression d'une sortie indésirable de la 
           référence à la page suivante, accolée à la page
           en cours (enregistrement ": p").


## [20] - 2024-07-26
2024-07-24 XSL/dg_p.xsl Support multilingue. Dates de
           création et mise à jour de la page : 
           application du template "trad" pour afficher 
           les noms de mois trouvés dans le dictionnaire.
           Suppression du template "sordate".
2024-07-24 XSL/dg_gal_img.xsl Désormais le lien vers 
           une page licence n'est plus limité à un URL 
           local au site.
2024-07-24 XSL/dg_gal_img.xsl Simplification pour le 
           traîtement du lien "licence".
2024-07-23 XSL/dg_gal_img.xsl Simplification pour la 
           sortie des attributs "alt" et "title"
2024-07-22 XSL/dg_gal_img.xsl Récupération des données
           images (largeur, hauteur etc.) utilise les 
           templates existants (cf 2024-07-18).
2024-07-20 XSL/dg_gal_index.xsl Ajout de rss2 à la 
           liste exclude-result-prefixes, pour empêcher 
           une clause "xmlns" superflue en sortie.
2024-07-20 XSL/dg_gal_index.xsl Détermination du nom 
           de fichier image icone : nouvel algorithme. 
           On ne respectait pas encore toutes les 
           spécifications du préfixe paramétrable (avant /
           après).
2024-07-18 XSL/dg_gal_img.xsl dg_gal_index.xsl 
           Récupération des données images (hauteur 
           largeur...) mise dans des templates communs 
           (dimlar, dimhau etc.).
2024-07-18 XSL/dg_gal_img.xsl Annulation de la 
           soi-disant "optimisation" du 2024-07-01.
2024-07-16 XSL/dg_out.xsl Galerie d'image : utilise le
           template "htmgal" pour déterminer le nom de la 
           page html.
2024-07-16 XSL/dg_gal_index.xsl dg_out.xsl Galerie 
           d'images. Nouveau template "htmgal" pour 
           définir le nom du fichier html suivant le même
           principe que pour le fichier image 
           (cf 2024-07-03).
2024-07-14 XSL/dg_gal_img.xsl Ajout de .AVI et .avi 
           aux extensions de fichier image (il y avait 
           déjà .AVIF et .avif).
2024-07-12 XSL/dg8_h.xsl Entete des notes de bas de 
           page : suppression d'un "+" indésirable mis 
           avant "Notes" (frappe fautive).
2024-07-12 Processeur XSLT Saxon : passage à la version 
           12.5 (saxon-he-12.5.jar).
2024-07-03 XSL/dg_gal_img.xsl dg_gal_index.jpg Galerie
           d'image : template nouveau "ficgal" pour 
           définir le nom de fichier image en fonction de 
           l'existence d'une extension (auparavant simple 
           test d'existence d'un point, peu fiable).
2024-07-02 XSL/dg_gal_img.xsl dg_gal_index.jpg Galerie
           d'images : ajout conditionnel de l'extension 
           par défaut ".jpg" si le nom de fichier ne se 
           termine pas par une extension normale de 
           fichier image.
2024-06-26 CSS Style design/galerie.css charte.css 
           Changement de la couleur des textes de liens de
           galerie d'images qui étaient quasi invisibles 
           sur le fond gris.
2024-06-24 XSL/dg_notes.xsl Notes de bas de page, 
           version imprimable : désormais les notes sont 
           séparées de ce qui précède par un saut de page.
2024-06-10 XSL/dg8_h.xsl dg_lien.xsl Support 
           multilingue : nouvelle méthode pour mettre dans
           un "title" un texte paramétré du dictionnaire 
           (chaîne £dg77:code£).
2024-06-09 XSL/dg_rss.xsl Support multilingue. 
           Utilisation du dictionnaire pour les noms de 
           mois.
2024-06-04 XSL/dg_entete.xsl dg_lien.xsl Support 
           multilingue : passage du paramètre nlang pour
           utilisation dans la barre de menu.
2024-05-31 XSL/dg_signets.xsl Listes de signets. 
           Simplification de la présentation du titre 
           "sommaire" et des titres de categories.
2024-05-31 XSL/dg_match.xsl Traîtement des balises 
           html. Pour xsl:template match= la formule 
           standard est mise en commun grâce à 
           {local-name()}. Vu pour 48 éléments html. Ce 
           qui reduit de près de mille lignes la taille
           des traîtements. [simple optimisation, aucune
           correction ni modification].
2024-05-30 XSL/dg_signets.xsl Correction erreur 
           reference dictionnaire : il y avait 004 
           ("suite") au lieu de 013 ("sommaire").
2024-05-30 XSL/dg_match.xsl Support multilingue : 
           passage systématique du code langue par 
           "tattrib", traîtement général des attributs.
           Nouveau template selng.
2024-05-29 XSL/dg8_h.xsl Nouvel élément d:lexi : 
           possibilité d'insérer des textes dans la 
           langue voulue.


## [19] - 2024-05-27
2024-05-25 [spécifique] XSL_spec/dg_calend.xsl 
           Introduction des libellés (date, lieu, nom, 
           org...) variables (template "trad") en fonction
           du code langue.
2024-05-25 [spécifique] XSL_spec/dg_calend.xsl Passage
           des paramètres standards (vch etc.)
2024-05-25 XSL/dg8_h.xsl d:inclure : correction, le 
           code langue n'était pas récupéré.
2024-05-24 XSL/dg8_h.xsl d:inclure : prise en compte 
           du code langue pour sélectionner, s'ils 
           existent, des fragments avec le code adéquat.
2024-05-23 XSL/dg8_h.xsl d:inclure (inclusion de html 
           externe). Système pour empêcher la sortie du 
           namespace causée par copy-of en xslt 1.0. 
           Première utilisation de mode= dans un template 
           depuis 2002 environ (no_ns).
2024-05-22 XSL/dg_entete.xsl Support multilingue : 
           pour le libellé paramétrable de bannière 
           d'entete, possibilité d'avoir différents textes
           en fonction du code langue, grâce à un nouvel 
           attribut @lng associé à l'élément <lib>.
2024-05-21 [spécifique] XSL_spec/dg_calend.xsl Le code "R"
           devient "A" pour "Archivé".
2024-05-20 XSL/dg_gal_img.xsl dg_match.xsl 
           dg_notes.xsl dg_out.xsl dg8_h.xsl 
           dg_entete.xsl : suite modifications pour 
           libelles multilingues ("Notes", "Auteur", 
           "licence", "copyright", "Aller au 
           principal", etc.).
2024-05-19 XSL/dg8_h.xsl Appel au support multilingue
           (pour "Sommaire").
2024-05-19 XSL/dg_signets.xsl Listes de liens: 
           désormais, le niveau de titre/sous-titre 
           (attribut niv) est donné directement avec h1-h6
           et non plus 1-5. Appel au support multilingue
           (pour "Sommaire").
2024-05-19 design/Config.xml XSL/dg_contact.xsl 
           dg_entete.xsl dg_p.xsl dg77_navig.xsl 
           dg8_head.xsl dg8_3.xsl Support multilingue 
           pour les libelles generaux ("accueil", 
           "retour", "précedent" etc). Utilisation d'un 
           nouveau fichier "dictionnaire" paramétré dans 
           le fichier de configuration (variable dgdic). 
           Traitement par le template "trad" à la fin de 
           dg77_navig.xsl.
2024-05-17 XSL/dg_entete.xsl dg_p.xsl dg77_navig.xsl
           dg8_head : passage de la variable nlang (code 
           langue).
2024-05-17 XSL/dg_out.xsl Sortie premiere ligne html.
           Template "chlang" nouveau, recherche du code 
           langue. Mis dans variable nlang.
2024-05-16 XSL/dg_rss.xsl Sortie html d'un fil rss : 
           gestion du niveau de titre par défaut, ce sera 
           h4 au lieu de h6. Dans l'attribut @niv, il faut
           mettre h1 à h6 et non plus 1 à 6. Le titre 
           "sommaire" est de niveau h6.
2024-05-15 XSL/dg77_navig.xsl Bouton de retour arrière
           par javascript : inversion du principe, 
           désormais le fichier indique les pages qui 
           n'ont pas cette fonction.
2024-05-15 XSL/dg_signets.xsl Signets / listes de 
           liens. Présentation du sommaire : la classe du 
           sous-titre est déterminée comme pour les 
           éventuelles sous-rubriques (balise categories).
2024-05-10 XSL/dg_notes.xsl Notes de bas de page. On 
           ne traîte une note que si son contenu est non 
           nul.
2024-05-06 XSL/dg_entete.xsl Fichier index des entetes
           On peut avoir plusieurs barres de menu dans un 
           unique fichier xml en mettant un attribut id à
           chacune. Dans le fichier index, il suffira de 
           mettre le même attribut à l'élément <menu> dans
           la balise <entree> concernée.
2024-05-05 XSL/dg_entete.xsl Difference entre entete 
           de la home-page et les autres : pour celle-ci, 
           il ne doit pas y avoir de lien vers elle-meme. 
           Amélioration pour tenir compte du cas où la 
           variable home-page est configurée avec un "/" 
           initial.
2024-05-04 XSL/dg_entete.xsl dg8_3.xsl 
           design/Config.xml Le nom et l'emplacement du 
           bandeau d'entête sont désormais libres. On 
           trouve l'information dans le fichier dit 
           auparavant "root_index.xml", et non plus dans 
           la variable dgbando (nom auparavant fixe puis 
           défini dans le fichier de configuration).
2024-05-03 XSL/dg_entete.xsl dg8_3.xsl : accès direct 
           par XPATH au fichier de parametres 
           (root_index.xml qui permet d'obtenir le texte 
           du bandeau d'entete et la barre de menu), au 
           lieu du système complexe par xsl:key faisant 
           appel à la méthode münchienne (muenchian 
           grouping - cf 2011-09-16) avec l'operation 
           select="key('rub_lib',$clef) etc."
2024-04-23 XSL/dg8_h.xsl dg8_head.xsl dg_entete.xsl
           dg_match.xsl dg_lien.xsl dg77_navig.xsl 
           dg_p.xsl dg_contact.xsl dg_notes.xsl 
           dg_hl.xsl dg_img.xsl dg_gal_img.xsl 
           dg_gal_index.xsl dg_signets.xsl dg_table.xsl, 
           dg_tchemin.xsl dg8_spec.xsl dg_rss.xsl, 
           XSL_spec/dg_calend.xsl : suppression de la
           déclaration de namespace 
           xmlns="http://www.w3.org/1999/xhtml"
2024-04-15 XSL/dg8_3.xsl design/Config.xml Suppression
           des trois variables pour sous-domaines 
           supplémentaires, inutilisées.
2024-04-14 XSL/dg8_3.xsl dg_entete.xsl 
           design/Config.xml design/config_xml.css : le 
           chemin et le nom du fichier root_index.xml
           (index des sections du site) est maintenant
           adaptable, grâce à un nouveau paramètre de 
           Config.xml : dgindex.
2024-04-13 XSL/dg_out.xsl Correction : on n'utilisait 
           pas la classe spéciale paramétrée pour galerie
           d'image ($class_gal).
2024-04-13 XSL/dg8_h.xsl dg8_head.xsl dg_out.xsl 
           dg77_navig.xsl dg_notes.xsl dg_entete.xsl :
           le laxisme qui autorisait le namespace dg: 
           (alias http://ns.dg77.net/XML/) pour les 
           balises www, page, titre, corps, description et
           tet_add n'a plus cours. Seul d: est permis 
           (alias http://ns.dg77.net/XML/d/ cf 
           2024-03-06).
2024-04-12 XSL/dg8_3.xsl dg8_h.xsl Désormais le 
           nom qualifié du fichier de configuration est 
           passé en argument (variable globale $fconfig) 
           et donc libre, au lieu d'être impérativement 
           design/Config.xml.
2024-04-12 XSL/dg8_3.xsl dg8.xsl La reception des 
           arguments entrés au lancement est déplacé de 
           dg8_3.xsl dans le premier module dg8.xsl.
2024-04-11 XSL/dg8_3.xsl dg8_h.xsl Nom du parametre 
           "fichier" remplacé par "page".
2024-04-10 XSL/dg8_head.xsl Correction : la feuille de
           style galerie ($pcss_gal) concerne la sortie
           "screen" (écran) et non pas "print".
2024-04-09 XSL/dg_out.xsl Trace : présentation 
           modifiée (simplification : dans la partie 
           détail, suppression du deuxième ":" ).
2024-04-08 XSL/dg_out.xsl Trace : ajout des noms des 
           fichiers icônes de  galeries d'image avec prise
           en compte des suf/préfixes.
2024-04-07 XSL/dg_out.xsl Variable $xchem utilisée 
           pour avoir adresse complete dans la trace.
2024-04-05 XSL/dg_out.xsl Enrichissement de la trace :
           indication des images (de galerie ou non) et 
           des données html incluses par d:inclure.


## [18] - 2024-04-05
2024-04-03 XSL/dg8_h.xsl Fonction "inclure" : 
           correction, il faut mettre la spécification 
           copy-namespaces="no" dans xsl:copy-of.
2024-04-02 XSL/dg_gal_img.xsl Galeries : possibilité 
           d'avoir une classe particulière dans le titre 
           de la page image.
2024-04-01 XSL/dg_signets.xsl Amélioration de la 
           sortie du sous-titre. Rationalisation par 
           template unique (titre), correction pour choix
           de la classe par défaut si non spécifiée.
2024-03-31 XSL/dg8_3.xsl dg8_h.xsl dg_out.xsl Trace :
           Sortie améliorée du log produit par le 
           processeur. Quatre paramètres en entrée pour 
           renseigner un log plus détaillé : horodatage, 
           fichier xml lu en entrée, page html en sortie 
           ("x"=toutes), option facultative de mise en 
           ligne (ou test). Pour chaque page, sortie d'une
           ligne, plus une pour le fichier externe 
           éventuel.
2024-03-30 XSL/dg8_h.xsl Suppression de match balises
           html et body, inutilisées.
2024-03-29 XSL/dg8_h.xsl Balise "bidon" : aucun 
           template ni sortie ne sont à appliquer.
2024-03-29 XSL/dg_out.xsl Galerie d'image, sortie des
           pages images individuelles : correction dans le
           for-each qui traitait la totalité du document 
           xml (ne traîter que les descendant::).
2024-03-29 XSL/dg_out.xsl Suppression des references 
           inutiles à la variable fdocu (était passée en 
           paramètre à des templates qui n'en ont pas 
           besoin).
2024-03-26 XSL/dg8_head.xsl Template w_href, si URL 
           absolu, test que la chaîne a plus de 1 
           caractère.
2024-03-25 XSL/dg_entete.xsl Dans le bandeau d'entête,
           lien vers la page d'accueil, utilisation du 
           template w_href.
2024-03-25 XSL/dg8_3.xsl Suppression du troisième 
           paramètre (fxml) entré au départ, car 
           inutilisé.
2024-03-24 XSL/dg_out.xsl dg8_head.xsl Traîtement de 
           "description" et "keywords" simplifié dans 
           dg8_head (une centaine de lignes en moins), 
           2 variables ajoutées pour transmission
           directe des données depuis le template outhtml.
2024-03-23 XSL/dg_rss.xsl Liste des titres RSS, 
           rationalisation : les deux modes de sortie 
           passent par un template commun (sorligtit).
2024-03-23 XSL/dg_rss.xsl Liste des titres RSS : prise
           en compte des URL absolus.
2024-03-22 design/Confix.xml XSL/dg8_head.xsl 
           dg77_navig.xsl dg_contact.xsl dg_out.xsl 
           Généralisation de l'URL absolu dans Config.xml,
           et donc de l'utilisation du template w_href.
2024-03-20 XSL/dg_rss.xsl Sortie à partir d'un fichier
           rss. Correction dans la confection du lien vers 
           un site tiers.
2024-03-20 XSL/dg8_h.xsl Suppression de la variable 
           xch, non utilisée.
2024-03-20 XSL/dg_out.xsl Suppression d'une ligne 
           xsl:value-of select="@nomfic", inutile 
           (avant sortie dans result-document).
           Sortait une ligne dans tmp/java.txt
2024-03-18 XSL/dg_hl.xsl Sortie en version imprimante,
           traîtement inutile si le lien pointe vers un 
           id de la page même.
2024-03-17 XSL/dg8_head.xsl Pour l'entête html, 
           correction pour sortir les "link" divers 
           (séparer liens internes et autres URL).
2024-03-17 XSL/dg_lien.xsl dg8_head.xsl dg_gal_img.xsl
           dg_rss.xsl dg8_h.xsl : le param w_href ou wref 
           est renommé href.
2024-03-17 XSL/dg_hl.xsl Optimisation : le param 
           w_href est renommé href, starts-with au lieu de
           substring.
2024-03-16 XSL/dg8_head.xsl dg_hl.xsl dg_lien.xsl 
           dg_rss.xsl : utilisation d'un unique "template"
           (w_href dans dg8_head.xsl) sous-programme 
           pour sortir l'attribut href des liens (balise 
           html <a>).
2024-03-15 design/Config.xml design/config_xml.css 
           XSL/dg8_3.xsl dg_contact.xsl : nouvelle 
           variable sitemap, la page "plan du site"
           est maintenant paramétrable et facultative.
2024-03-14 XSL/dg_p.xsl Pour la version imprimable, 
           utilisation du paramètre de Config.xml (pabout)
           à la place de la valeur fixe about.htm.
2024-03-14 XSL/dg_contact.xsl Remplacement des valeurs
           fixes pour "info", "au sujet de" "pcontact" et 
           "auteur" par les variables paramétrées dans 
           Config.xml.
2024-03-13 XSL/dg8_head.xsl Rationalisation : le 
           template w_href est amélioré (types 
           supplémentaires d'URL envisagés), et utilisé 
           aussi pour le traîtement éventuel de balises 
           "link" additionnelles.
2024-03-12 dg8_head.xsl Utilisation du paramètre pabout 
           (url de la page conditions, au sujet de ce 
           site, etc.) défini dans Config.xml, mais pas en
           service jusque-là.
2024-03-12 design/Config.xml config_xml.css, 
           XSL/dg8_3.xsl dg8_head.xsl Nouveau 
           paramètre dgautpag (url de la page au sujet de
           l'auteur).
2024-03-11 XSL/dg8_3.xsl Adaptation au namespace 
           modifié du fichier design/Config.xml.
2024-03-11 XSL/dg8_head Rationalisation pour 
           description, keyword (deux templates créés, 
           w_descr et w_keywr) et feuilles de style css. 
           Compatibilité avec namespace ancien renforcée.
2024-03-06 XSL/dg_out.xsl dg8_head.xsl dg8_h.xsl 
           dg_entete.xsl dg77_navig.xsl dg_notes.xsl : 
           désormais les éléments <www>, <page>, <corps>,
           <description> au niveau 1 de chaque page, 
           <titre>, <cre>, <upd>, doivent appartenir 
           au namespace d: et nom plus dg:, ceci 
           pour les différencier des balises officielles 
           html.
           Les modules XSLT assurent la compatibilité 
           avec les fichiers XML antérieurs dans lesquels,
           comme pour les balises html standard, il n'y a 
           pas de namespace indiqué (namespace dg dans 
           les traîtements xslt.
2024-03-02 XSL/dg_lien.xsl Gestion des balises <a> 
           (liens html) : les url vides affichent le 
           contenu textuel sans l'élément <a> inutile.
2024-03-02 XSL/dg_signets.xsl Traitement du titre : 
           si la classe est de niveau h1, application du
           même traitement que pour les autres niveaux.
2024-02-29 XSL/dg8_head.xsl On ne sort plus le "meta"
           keyword s'il ne contient rien.
2024-02-27 XSL/dg_out.xsl Pour les contenus html venus
           d'un document externe, ce dernier doit être 
           spécifié avec <d:docu> et non plus <docu>.


## [17] - 25 février 2024
2024-02-25 XSL/dg_out.xsl dg_gal_index.xsl 
           dg_gal_img.xsl Galerie d'images : on est 
           désormais autorisé à indiquer l'extension du
           fichier image dans le nom (balise d:galimg). 
           Celà permet d'utiliser des noms de formats 
           autres que jpg (on peut mettre .jpeg .png .gif 
           etc.). Auparavant il ne devait pas y en avoir, 
           l'extension était supposée être .jpg. La 
           possibilité de suffixe au lieu de préfixe, 
           paramétrable depuis le 2023-10-08 fonctionne.
2024-02-23 XSL/dg_gal_img.xsl Les attributs "alt" et 
           "title" reprennent les données extraites de 
           d:dgdim/dgima (avec taille fichier et format) 
           comme pour les attributs widht et height de
           <img>.
2024-02-23 XSL/dg8_3.xsl dg_gal_index.xsl : template 
           soricone transféré dans dg_gal_index.xsl depuis
           dg_sorico.xsl (ce dernier devenu obsolete).
2024-02-21 XSL/dg_out.xsl On peut (enfin) avoir une 
           galerie d'image incluse dans un fichier séparé 
           (indication par d:docu).
2024-02-21 XSL/dg_out.xsl Amélioration ("//" ajouté) 
           pour pouvoir avoir une galerie englobée dans 
           une section, div ou autre.
2024-02-20 XSL/dg_notes.xsl Notes de bas de page :
           Correction dans le cas où la clause de sommaire
           automatique ne spécifie pas de classe.
2024-02-19 XSL/dg8_3.xsl dg8_h.xsl dg_match.xsl : 
           transfert des traitements balises html 
           (match="") dans le nouveau module dg_match.xsl.
2024-02-15 XSL/dg_rss.xsl Titre d'un fil RSS : 
           changement dans la gestion du niveau de titre 
           et de la classe utilisée (attributs @niv 
           nouveau et @class à spécifier).
2024-02-15 XSL/dg_signets.xsl : dans les listes de 
           liens, remplacement da la classe automatique 
           des sous-titres par la classe éventuellement 
           définie au niveau de chaque "catégorie".
2024-02-14 XSL/dg8_h.xsl : automatisation de la classe
           des sous-titres. Applicable aussi aux documents
           externes. Fonctionne si le titre n'a pas 
           d'attribut "class".
2024-02-12 XSL/dg8_3.xsl, dg8_h.xsl, dg_gal_index.xsl, 
           dg_notes.xsl, dg_rss, dg_signets, 
           design/Config.xml : désormais la classe 'demo' 
           utilisée essentiellement pour les sous-titres 
           est remplacée par une variable paramétrées 
           (class_titr), initialisée dans Config.xml, à la
           place de la valeur fixe dans les modules xslt 
           (variable aussi ajoutée dans config_xml.css).
2024-02-08 XSL/dg8_h.xsl La fonctionnalité "d:inclure"
           avec l'attribut idref peut s'appliquer au 
           fichier xml en cours, si l'attribut "source" 
           est vide ou absent (cf 2024-02-02).
2024-02-08 XSL/dg8_h.xsl Attributs "width" et "height"
           remis en vigueur pour le seul élément <object>.
2024-02-05 XSL/dg_lien.xsl Utilisation de la fonction 
           starts-with() au lieu de contains(). Permet 
           d'avoir un test plus simple et fiable pour 
           comparer le début d'adresse de lien avec l'URL
           de la racine du site (ex : 
           http://www.domaine.tld ou http://domaine.tld).
2024-02-04 XSL/dg_lien.xsl Traitement des liens html 
           (balise <a>) Simplification pour la sortie de 
           la suite URL après mention du propre domaine 
           du site (il suffit de sélectionner ce qui se 
           trouve après "domaine.tld/").
2024-02-03 XSL/dg_img.xsl Traîtement des images. 
           Modification pour conformité avec 
           spécifications. La sortie des dimensions 
           indiquées dans la partie d:dgdim ne doit pas se
           faire non plus dans @alt ni @title dans le cas 
           où l'image comporte des attributs @width ou 
           @height, même vides. Auparavant le cas était 
           appliqué seulement à la sortie de ces attributs.
2024-02-03 CSS Style design/stylscr.css Dans petit écran,
           pour l'élément <article>, la bordure apparaîtra 
           comme pour les terminaux plus grands 
           (auparavant elle était désactivée).
2024-02-02 XSL/dg8_h.xsl Balise d:inclure : désormais
           un attribut idref nouveau permet de copier une
           partie seule du fichier xml (sélection d'un 
           élément dont l'attribut id a une valeur égale à
           celle spécifiée dans idref).
2024-02-02 CSS Style design/stylgen.css, réduction des 
           marges verticales pour les titres de plus bas 
           niveau h5 et h6.
2024-02-01 CSS Style design/stylscr.css Balise dd dans 
           "petit écran", marge à gauche pour différencier
           de dt, et ajout d'une indentation.
2024-02-01 XSL/dg8_h.xsl Inclusion, à un endroit 
           quelconque d'une page html, de fichiers xml 
           externes par la balise "inclure" : la balise 
           lue jusqu'à présent comme <dg:inclure> (comme si
           elle était un élément HTML) devient <d:inclure>, 
           comme les autres balises propriétaires (d:hl, 
           d:galfic, d:note etc.).
2024-01-30 CSS Style design/stylgen.css, texte preformaté 
           avec classe .listing : ajout d'une bordure 
           blanche à droite pour marquer séparation avec la
           marge qui est également grise.
2024-01-26 XSL/dg_contact.xsl Barre de navigation, 
           partie contact / info / sitemap, "bouton" pour 
           appeler la page "info" : la page archive/index 
           est ôtée de la liste des omissions, elle aura 
           désormais ce lien.
2024-01-26 XSL/dg8_h.xsl Balise <pre> (données 
           préformatées pour sortie). Correction du 
           template wpref, contenant un test de présence 
           de "£dg77£". La boucle récursive ne 
           fonctionnait pas comme il faut. REMARQUE : 
           l'utilisation de £dg77£ dans du texte 
           préformaté empêche le fonctionnement de toute 
           autre balise qui s'y trouverait (exemple : 
           <span>).
2024-01-26 XSL/dg8_head.xsl. Balise link sous 
           dg:page/dg:description (exemple: pour 
           "alternate"), test pour autoriser un URL 
           complet (http etc.) au lieu d'une adresse 
           relative comme cela était en principe la règle.
2024-01-22 CSS Style design/stylscr.css, suite à la 
           modification de la veille, dans le cas "petit 
           écran", pour classe .bando2 : suppression de la
           mention color:ffffff (caractères blancs 
           indésirables à cet endroit).
2024-01-21 XSL/dg_entete.xsl Le lien dans le bandeau 
           d'entete vers la home page est désactivé si la 
           page en cours est précisément la home page. Ce
           cas particulier avait été supprimé le 
           2022-09-30.
2024-01-16 XSL/dg_calend.xsl Désormais la classe est 
           spécifié dans chaque cellule <td> et non plus 
           au niveau <tr>.
2024-01-14 CSS Style design/stylscr.css, suppression de la
           classe .margel6, obsolète.
2024-01-12 CSS Style design/stylscr.css galerie.css : 
           nouvelle charte de couleur.
2024-01-12 CSS Style design/stylscr.css listes avec 
           couleur de fond alternée, amélioration : 
           l'encadrement du dernier lien actif 
           ("link:active") s'affiche désormais comme pour 
           les autres liens.


## [16] - 7 janvier 2024
2024-01-07 Processeur XSLT Saxon : passage à la version 
           12.4.
2024-01-07 XSL/dg_gal_index.xsl Nouvelle présentation
           de l'index de la galerie d'images, sous forme 
           de liste avec les textes associés. Alternative
           à la présentation par bloc d'icônes. Nouvel 
           attribut d:galerie/@dggalist : s'il est non 
           vide, la présentation en liste s'applique.
2024-01-05 XSL/dg_sorico.xsl Galerie, index des 
           images : corrections pour récuperer les 
           dimensions de l'imagette dans la balise 
           d:dgdim/d:dgima :
           - dans le test, il manquait /d:dgdim avant 
           /d:dgima
           - la variable dimsrc se terminait par un 
           caractere espace, rendant la comparaison 
           inopérante.
2024-01-02 XSL/dg_rss.xsl Template edtit: les parties
           de la date sont séparées par un tiret et non 
           plus une espace.
2023-12-20 XSL/dg8_h.xsl Fonction listrss, liste 
           séparée des items : application de la classe 
           "enum". La liste sort sans puce au début de 
           chaque item.
2023-12-03 [spécifique] XSL_spec/dg_calend.xsl Si c'est le
           cas "N" (cf 2023-08-12), alors rel="nofollow".
2023-11-22 XSL/dg8_h.xsl Correction anomalie si 
           utilisation de la classe "dg77dir" (dans le 
           sommaire automatique, lien vers une autre page)
           qui ajoutait un texte erroné ("[£dg77 etc.]")
2023-10-17 CSS Style design/stylscr.css Sur écran, le 
           texte des listes (<ul> et <ol>) est justifié 
           (comme pour <p> et <dl>) et non plus cadré à 
           gauche.
2023-10-15 CSS Style design/stylgen.css Titres, marge à 
           gauche, pour les niveaux h4, h5 et h6 : 
           révision (étaient trop à gauche).
2023-10-14 XSL/dg_p.xsl Pied de page, correction d'un 
           bug : la version imprimable ne sortait pas 
           l'URL correct pour la mention "A propos de ces 
           pages" ("£dg77£" à la place de protocole-sous-
           domaine-domaine).
2023-10-11 XSL/dg77_navig.xsl Bouton de retour au 
           précédent par javascript : nouvelle possibilité
           d'emploi généralisé, par un code "x" dans le 
           fichier de paramétrage (cf 2020-11-12).
2023-10-10 XSL/dg_gal_index.xsl Index de galerie 
           d'images : chaque image (icône - balise <img>) 
           est insérée dans une balise <figure>.
2023-10-10 CSS Style design/stylgen.css Modification au 
           comportement de la classe gal_gri dans le 
           nouveau cas index par images (ajout de 
           padding).
2023-10-09 XSL/dg_gal_index.xsl dg_sorico.xsl 
           Nouveauté : "index par icones". La génération 
           fonctionne comme celle de "galerie d'images" 
           (nouvelle balise <som_ix> à la place de 
           <galerie>). On utilise une balise spécifique 
           <fichtm> qui contient le lien vers le fichier 
           html voulu.
2023-10-08 XSL/dg_sorico.xsl dg8_3.xsl Galerie 
           d'images. Désormais le préfixe ajouté pour le 
           nom du fichier image icone de l'index est 
           paramétrable (auparavant ce devait être "t_" 
           inséré au début du nom de fichier image).
2023-08-12 [spécifique] XSL_spec/dgcalend.xsl 
           "calendrier des compétitions". Si le lien 
           resultats pointe vers les "news", c'est un "N" 
           au lieu d'un "R" qui s'affiche.
2023-08-10 XSL/dg_rss.xsl L'indication de l'année est 
           remise en vigueur dans l'affichage des titres 
           de fichiers rss (cf template edtit).


## [15] - 27 juin 2023
2023-06-17 CSS Style design/stylscr.css Correction pour 
           les "petits écrans", style "bgris" dans les
           tableaux : caractères noirs sur fond noir 
           étaient invisibles. Dorénavant on gardera la 
           même coloration que sur écrans plus larges (le 
           fond reste gris).
2023-06-16 XSL/dg8_h.xsl Sommaire automatique, 
           nouvelle présentation possible : type "a" 
           (attribut @dgstyp) permet d'avoir le menu en 
           style "menutab".
2023-04-11 CSS Style design/stylscr.css Correction pour 
           les listes de lien en coloration alternée. Si 
           une ligne accessoire est ajoutée, elle aura un 
           retrait automatique qui la distinguera de la 
           ligne principale.
2023-04-02 CSS Style design/stylscr.css Correction pour 
           lignes avec couleur de fond alternée (liste de
           liens et index rss). Sur "petit écran", les 
           caractères non compris dans un lien 
           s'affichaient en blanc et donc étaient peu 
           lisibles.
2023-03-04 XSL/dg_rss.xsl Traitement de fichier rss : 
           dans l'élément "guid" : suppression des espaces
           qui pourraient figurer au début ou à la fin. 
           Seule la premiere chaine est utilisée pour 
           constituer l'id de la sortie html.
2023-02-11 CSS Style design/stylprt.css Sortie sur 
           imprimante d'une image : nouvelle classe imgred
           qui permet de sortir l'image réduite à 70%.
2023-02-10 CSS Style design/stylprt.css Version 
           imprimable. Abandon de la reduction à 75% qui 
           crée une anomalie pour de petites images.
2022-12-27 XSL/dg8_h.xsl Sommaire automatique : 
           correction dans le cas ou @niv est vide ou 
           absent. Ce cas provoquait un plantage/crash au
           moment de la génération de la page.
2022-11-28 XSL/dg8_h.xsl Sortie du sommaire 
           automatique (sorsom) : la version imprimable 
           donne l'URL complet pour les pages externes 
           (à accès direct).
2022-11-28 XSL/dg8_h.xsl Attribut @title : pas de 
           traîtement standard si l'élément concerné est
           une image (<img>).
2022-11-28 XSL/dg_gal_img.xsl dg_img.xsl Désormais, 
           @title et @alt peuvent contenir non seulement 
           les dimensions HxL de l'image mais aussi la 
           taille (en octets) et le format (JPEG, png...).
2022-11-26 XSL/dg_gal_img.xsl Même adaptation que la 
           précédente (2022-11-25) en ce qui concerne les 
           pages "galerie d'image".
2022-11-25 XSL/dg_img.xsl Attribut @alt : ajout de 
           l'affichage éventuel des dimensions d'une image
           dans le cas où elles sont indiquées dans un 
           balisage <dgima>.
2022-11-25 XSL/dg8_h.xsl dg_img.xsl Attribut @alt : 
           son traitement étant spécifique aux images, 
           déplacement depuis le module principal dg8_h 
           dans le template match="dg:img".
2022-11-18 XSL/dg8_h.xsl Nouveaux attributs : @itemid,
           @itemprop, @itemref, @itemscope, @itemtype.
2022-11-15 XSL/dg_img.xsl Insertion des dimensions 
           images à partir de données spécifiques : ajout
           des attributs dimensions (@width et @height ne
           figurent plus dans les attributs standard).
2022-11-15 XSL/dg8_h.xsl Suppression des éléments 
           obsolètes <applet> <embed> et <iframe>
2022-11-15 XSL/dg8_h.xsl Suppression des attributs 
           obsolètes @bgcolor, @align, @border, @height, 
           @width, @frameborder, @scrolling, @marginheight
           et @marginwidth. Noter que height et width sont
           toujours utilisés pour les images dans 
           dg_img.xsl et dg_gal_img.xsl, ainsi que pour 
           <source> ("resource media").
2022-11-15 XSL/dg8_h.xsl Sommaire automatique : 
           attribut @type remplacé par @dgstyp


## [14] - 08 novembre 2022
2022-11-05 XSL/dg_img.xsl Correction au système des 
           dimensions des images enregistrées à part : les
           attributs @width et @height vides étant 
           interdits, modifications pour ne pas les sortir
           dans ce cas.
2022-11-04 XSL/dg8_h.xsl Sommaire automatique : 
           correction pour conformité html. S'il n'y a pas
           de titre (donc pas de header), on met le 
           sommaire dans un <div> et non pas une section.
2022-11-03 XSL/dg_notes.xsl 
           - Suppression de l'id #note dans <header> car 
           faisant doublon.
           - Pour header par defaut des notes : <div> 
           remplacé par <h4>.
2022-11-03 XSL/dg_rss.xsl Fichiers RSS : dans le 
           sommaire, ajout d'un élément <dd>, obligatoire 
           pour conformité html (un dt seul n'est pas 
           correct).
2022-10-31 CSS Style design/stylscr.css Modification dans
           la taille des images (pour l'écran sans limite 
           de taille, l'image était plus petite que pour 
           l'écran de 1024px de largeur maximum).
2022-10-24 Processeur XSLT Saxon : passage à la version 
           11.4.
2022-10-23 XSL/dg8_h.xsl Sommaire automatique : 
           correction consécutive à l'amélioration du 
           2022-07-25 : si on utilise la classe spéciale 
           .dg77dir, il n'y a pas lieu d'avoir un id dans
           le titre concerné pour générer le lien.
2022-10-18 CSS Style design/dg8_head.xsl Pages contenant 
           une galerie d'images : sortie automatique de la
           spécification de la feuille de style paramétrée
           dans Config.xml (cf enregistrement "pcss_gal").
           Il n'est plus nécessaire d'inclure une balise 
           <link> dans le fichier source xml (partie 
           description).
2022-10-16 CSS Style design/stylgen.css galerie.css 
           Modification de l'affichage des balises <img>, 
           <figure> et <figcaption>. Les padding gérés 
           dans les figures, à zéro pour images sauf cas 
           de "galerie" (mais à l'exception de la page 
           index galerie).
2022-10-15 XSL/dg_rss.xsl Sortie à partir d'un fichier
           RSS. Le titre de la page comporte désormais le 
           style "demo".
2022-10-15 XSL/dg_gal_index.xsl Page index de galerie 
           d'image. Le titre (h3) éventuellement sorti 
           comporte désormais le style "demo".
2022-10-14 CSS Style design/stylscr.css Amélioration dans 
           l'entête : les icones de la barre de navigation
           occupent la même largeur que la partie 
           principale ("main") de la page.
2022-10-08 CSS Style design/stylscr.css galerie.css 
           marche_calend.css ecranvert.css : adaptation 
           des styles en fonction de la taille écran 
           (exemple: @media only screen and 
           (max-width:768px) {...) : ajout d'incréments. 
           Désormais on prévoit 1024, 900, 768, 640, 480. 
           Simplifications : suppression d'instructions 
           redondantes, marges latérales des titres h4 h5
           h6 uniformisées. Police Tahoma pour "petit 
           ecran".


## [13] - 06 octobre 2022
2022-10-04 XSL/dg8_h.xsl dg8_head.xsl dg_entete.xsl 
           dg_hl.xsl dg_img.xsl dg_lien.xsl dg_p.xsl 
           dg_rss.xsl dg_signets.xsl : pour la sortie d'un
           URL, prise en compte du cas où il n'y a pas de 
           sous-domaine.
2022-10-03 XSL/dg8_h.xsl 
           - La variable homepage mise dans une balise 
            (comme domaine, sous-domaine et protocole).
           - Pour la balise <span>, désormais on fait
             apply-templates avec passage des paramètres 
             standards (vch znom).
2022-10-02 XSL/dg_img.xsl pour l'adresse d'une image
           (attribut "src"), application des mêmes règles
           que pour les balises <a> et <d:hl>. Cela permet
           par exemple d'avoir une image commune dans 
           l'entête des pages.
2022-09-30 XSL/dg_entete.xsl Sortie de l'entete par 
           apply-templates au lieu de value-of. 
           Simplifications : suppression du template 
           "bando" ; on ne distingue plus le cas de la 
           home-page.
2022-09-29 XSL/dg_entete.xsl Optimisation : 
           simplification de details.
           - correction d'un bug qui empechait de 
             fonctionner le deuxieme niveau de parametrage
             d'entete (fichier root_index.xml). Le "/"
             n'avait pas a etre entre quotes.
2022-09-28 design/Config.xml, XSL/dg8_3.xsl, 
           dg77_navig.xsl, dg8_head.xsl, dg_entete.xsl, 
           dg_p.xsl : désormais le nom de la page 
           d'accueil est paramétré grâce à une variable 
           "homepage" définie dans Config.xml.
2022-09-27 XSL/dg_lien.xsl dg_hl.xsl Correction pour
           omettre le "/" qui suit £dg77£. Auparavant les 
           liens fonctionnaient sur le serveur mais pas 
           en local ("file:///etc.").
2022-08-01 XSL/dg8_h.xsl Correction - attribut 
           "content" de la balise d'entete "meta". Le 
           mécanisme "£dg77£" n'était pas encore appliqué 
           ici (utile pour les pages de redirection).
2022-07-25 XSL/dg8_h.xsl design/stylgen.css Sommaire 
           automatique amélioré. Un lien du sommaire peut 
           pointer vers une autre page au lieu d'un "id" 
           de la même page. Utilisation d'une classe 
           spécifique : .dg77dir
2022-07-19 design/stylgen.css Nouvelle classe .dg77srf 
           pour police / font de type "serif" (avec 
           empattement).
2022-05-26 XSL/listent.ent ajout entités 332 333, 
           Omacr omacr.
2022-05-19 XSL/dg_hl.xsl Le template url_prt, créé le
           17/05 contient maintenant tous les traitements
           pour sortie imprimante d'un url local intégral.
2022-05-18 XSL/dg_gal_img.xsl : désormais, en version 
           imprimable, on peut sortir l'URL de la page 
           "licence" d'une image. Ajout d'un parametre 
           (znom), et ajout appel template licence.
2022-05-17 XSL/dg_hl.xsl Pour les balises liens 
           "maison" d:hl, à partir d'un URL relatif, 
           sortie de l'URL integral dans la version 
           imprimable. Le cas de l'impression n'était pas 
           traité auparavant. Le traitement est dans un 
           template nommé, pour réutilisation.
2022-05-17 XSL/dg_hl.xsl dg_rss.xsl dg_lien.xsl 
           Simplification pour identifier lien contenant 
           URL du site, on se sert de $domaine seul, pas 
           $ssdomaine.
2022-05-15 XSL/dg_hl.xsl Suppression de la variable 
           xnom, inutilisée.
2022-05-13 XSL/dg_rss.xsl Traitement fichier rss, 
           correction d'un bug quand le "title" contient 
           ":" en dehors d'une date au format ISO, 
           problème lié au système de conversion de date 
           en texte courant.
2022-05-10 Processeur XSLT Saxon : passage à la version 11
           11.3. Dans la commande Java, il faut utiliser 
           -cp au lieu de -jar, et ajouter dans le 
           classpath : xmlresolver-4.2.0.jar 


## [12] - 06 mai 2022
2022-04-06 CSS Style design/stylscr.css Correction : si 
           "petit écran" (fond noir) les textes n'étaient 
           pas inversés (restaient noirs) pour les fonds 
           rouge, vert ou jaune (bgroug bgver bgjaun)
2022-04-01 CSS Style design/stylprt.css et stylscr.css, 
           présentation de la balise "button" (invisible 
           en impression).
2022-03-28 XSL/dg8_h.xsl Ajout element / tag "button".
2022-03-13 CSS Style design/stylgen.css Parties notes de 
           fin : la hauteur de ligne est réduite (150% au 
           lieu de 180) car la taille de caractère est 
           également réduite.
2022-03-10 CSS Style design/stylgen.css Listes : retour 
           des "puces" (supprimées le 27 mar 2021 pour le
           premier niveau).
2022-03-05 CSS Style design/stylscr.css Présentation sur 
           écran : hauteur des lignes augmentée.
2022-02-24 CSS Style design/stylgen.css Titres h1 h2 h3 : 
           retouche de l'espacement vertical.
2022-01-22 XSL/dg8_h.xsl Pour javascript, ajout 
           attributs : onload, onchange, onmouseover, 
           onmouseout, onkeydown.
2022-01-17 XSL/dg8_h Pour génération sommaire 
           automatique, simplification : l'attribut "type"
           doit être non vide et non plus égal à "l" pour 
           entraîner la présentation en ligne.
2022-01-14 XSL/dg_notes.xsl, CSS Style 
           design/stylgen.css et design/stylprt.css. Notes
           de bas de page : suppression des crochets, 
           taille de caractères diminuée, numéro d'appel 
           de note en caractère supérieur. En version 
           imprimée modification de la séparation entre 
           partie notes et ce qui précède.
2021-12-18 XSL/dg_rss.xsl Liste rss : dans la date 
           affichée, suppression de l'année.
2021-12-15 CSS Style design/stylscr.css modification 
           (réduction des "margin" latérales) pour les 
           emboîtements de listes.
2021-12-13 CSS Style design/stylscr.css Limitation de la 
           largeur des images à 720 pixels.
2021-12-01 XSL/dg_img.xsl Traîtement des images, 
           données spécifiques pour récupérer les 
           dimensions des images, nouvelle règle : pour 
           que le mécanisme s'applique, il faut que 
           l'élément img ne comporte ni attribut width ni 
           attribut height. Cette règle s'applique même si
           ces derniers sont vides.
2021-11-28 CSS Style design/galerie.css : suppression 
           classe fig_c (obsolète).
2021-11-22 XSL/dg8_h.xsl dg_notes.xsl dg_signets.xsl : 
           amélioration de l'entete des notes de bas de 
           page (titre conditionné et style) à la place de
           simple trait suivi par la mention "Notes".
2021-11-22 XSL/dg8_h.xsl Sommaire automatique : les 
           <dt> sont suivis de <dd></dd> vides (pour 
           conformité html valide).
2021-11-19 XSL/dg8_h.xsl : sommaire automatique, 
           désormais on sort une ligne supplémentaire s'il
           y a des notes en fin de page (existence 
           d'éléments <d:note>).
2021-11-18 CSS Style design/stylscr.css + stylprt.css : 
           suppression de l'id "bloc0", inutilisé.
2021-11-18 CSS Style design/stylprt.css (impressions) : 
           images limitées à une largeur de 60%.
2021-10-30 CSS Style design/stylgen.css - stylscr.css - 
           stylprt.css Tableaux : uniformisation 
           (centrage) entre versions écran et imprimante.
2021-10-25 CSS Style design/stylgen.css Listes : désormais
           la première ligne de chaque élément <li> 
           présente un retrait (8px).
2021-10-16 CSS Style design/stylgen.css Listes : 
           rétablissement de la règle du 2021-03-27 (pas 
           d'ornement/puce, du moins au premier niveau).


## [11] - 22 septembre 2021
2021-09-16 XSL/dg_signets.xsl Listes de liens, 
           amélioration : possibilité de mettre un 
           attribut "class" dans la balise "liens".
2021-09-13 XSL/dg8_h.xsl Module nouveau (basé sur 
           l'élément "maison" d:somm) pour la generation 
           automatique d'un sommaire de la page.
2021-09-10 XSL/dg_rss.xsl (ficher RSS) Modification du
           sommaire : chaque lien est dans une balise dt 
           au lieu de dd (pour beneficier du display-block
           sur le lien comme pour les signets).
2021-09-07 CSS Style design/stylgen.css, styling de la 
           balise blockquote.
2021-09-06 XSL/dg8_h.xsl Prise en compte de l'attribut
           @cite.
2021-09-04 CSS Style design/stylscr.css, correction suite 
           à la précédente.
2021-08-30 CSS Style design/stylscr.css, adaptation pour la
           nouvelle possibilité de sortie liste de liens 
           (pas de display:block pour des liens dans la 
           balise dd).
2021-08-30 XSL/dg_signets.xsl Listes de liens, 
           amelioration : possibilité d'insérer des 
           balises dt et dd, au lieu d'une simple chaîne 
           de caractères.
2021-08-13 XSL/dg_signets.xsl (listes de liens) 
           Correction : l'id prevu pour le titre n'était 
           pas utilisé. Le problème ne se posait pas si on
           utilisait la balise complémentaire "categorie".
2021-07-27 dg_rss.xsl : correction. Dans le cas d'un Item
           sans "link", le formatage du "title" n'etait 
           auparavant pas appliqué.
2021-06-26 CSS Style stylscr.css, correction pour les 
           listes de liens : depuis la précédente 
           modification, les liens n'étaient plus 
           activables en bloc (utilisables seulement par 
           action sur le texte).
2021-06-20 CSS Style stylgen.css, titres h1-h2-h3 : 
           désormais ne sont plus de type "Serif".
2021-06-20 CSS Style stylscr.css, dans "petit écran" : 
           corrections pour liste de liens, affichage lien
           "visited" rouge renforcé.
2021-06-10 CSS Style stylgen.css stylscr.css stylprt.css : 
           simplification pour la classe "sep" (intervalle
           au dessus d'un <p>).
2021-06-01 CSS Style stylgen.css : notes de bas de page, 
           suppression de la "puce" précédant chaque note.
2021-06-01 CSS Style stylscr.css : amélioration pour 
           affichage sur petit écran de lien au sein d'un 
           élément de classe "demo".
2021-05-22 CSS Style stylgen.css, stylscr.css : 
           modifications de detail modification margin 
           pour img. Ecran 700px : max-width pour img 560
           > 600. Petit ecran : h5 h6 plus de font-size, 
           img max-width 400 > 450.
2021-05-08 XSL/dg8_h.xsl : Le traitement prévoit 
           desormais 15 nouvelles balises html5 
           standards : blockquote, cite, q, sup, sub, 
           strong, em, mark, video, address, del, ins, 
           dfn, kbd, progress.
2021-05-06 XSL/dg8_h.xsl balise figcaption : 
           généralisation de l'affichage licence, comme 
           pour galerie.
2021-05-04 Images dg_gal_img.xsl - lien vers une page 
           "licence". Nouvel attribut dans fichier xml de
           galerie d'image pour automatiser.
2021-05-01 CSS Style stylgen.css balise hr : visibility 
           "hidden" (caché) par défaut, "visible" pour la 
           classe trt. (adaptation de dg_entete.xsl et 
           dg_p.xsl)
2021-04-26 CSS Style stylgen.css stylscr.css Amelioration 
           de detail pour petit écran (float à droite 
           autorisé).
2021-04-14 CSS Style stylgen.css <caption> (légende d'une 
           table) n'est plus désormais en caractères 
           réduits ("smaller" supprimé).
2021-04-13 CSS Style stylgen.css stylscr.css : suppression
           de la classe "deco".


## [10] - 13 avril 2021
2021-04-12 CSS Style stylgen.css stylscr.css stylprt.css :
           rationalisation et amélioration de la classe 
           "demo" pour meilleur affichage sur écrans de 
           dimensions réduites.
2021-04-11 dg_notes.xsl Notes de bas de page : le trait de
           séparation utilise la nouvelle classe "trt".
2021-04-11 Style CSS stylgen.css XSL/dg_p.xsl 
           dg_entete.xsl dg8_h.xsl La balise hr n'est plus
           spécifiquement affichée. Suppression de la 
           classe "pavu". Nouvelle classe "trt" destinée 
           à faire apparaître un trait horizontal.
2021-04-09 XSL/dg_calend.xsl Classe "demo" utilisee
           pour les éventuels entêtes de sections.
2021-04-09 dg_signets.xsl Listes de liens : la classe 
           "demo" est attribuée aux éventuels entêtes de 
           sections.
2021-04-08 XSL/dg_calend.xsl Suppression de la classe 
           tabcentr.
2021-04-08 CSS Style stylgen.css stylscr.css : desormais 
           les tables sont centrées latéralement par 
           défaut. Suppression de la classe tabcentr.
2021-03-30 CSS style : le contenu de la feuille separee 
           lettres.css (presentation de poemes et 
           distributions théatrales) est désormais intégré
           à la feuille générale stylgen.css (quelques 
           spécifications pour petits ecrans dans 
           stylscr.css). Suppression de lettres.css.
2021-03-30 dg_entete.xsl Classe "gomain" remplacee par 
           "pavu" (image gif du lien initial invisible 
           vers partie principale). Suppression de la 
           classe gomain (il y avait problème depuis peu
           pour les pages index de galerie d'image).
2021-03-29 Style CSS stylgen.css, galerie.css et 
           dg_gal_img.xsl Désormais les éléments "figure" 
           sont centrés par défaut. La classe fig_c est 
           supprimée.
2021-03-27 dg_lien.xsl dg_hl.xsl dg_signets.xsl 
           Amelioration si utilisation de la chaîne 
           "£dg77£". But : sortir liens relatifs au lieu 
           d'URL integraux.
2021-03-27 Style CSS stylgen.css classe "milieu" supprimée
           (trop peu utilisée).
2021-03-27 Style CSS stylgen.css et dg8_h.xsl : 
           suppression de la classe lrss, trop peu 
           utilisee.
2021-03-27 Style CSS stylgen.css désormais, par défaut les
           listes (UL) n'auront pas de d'ornement ("puce")
           - sauf pour les listes imbriquées dans une 
           autre liste.
2021-03-25 Style CSS stylgen.css suppression classe italx
           inutilisée.
2021-03-25 Style CSS stylscr.css correction des classe 
           bgalt_a/b (un display:block intempestif).
2021-03-25 Style CSS lettres.css suppression de la classe 
           "vert" remplacee depuis longtemps par 
           "carvert".
2021-03-23 Parametrage du code langue. Config.xml XSL 
           dg8_3.xsl dg8_h.xsl Codification par un 
           attribut au niveau de la page html ou à défaut 
           du fichier xml. Sinon utilisation d'une valeur 
           globale. [Auparavant "fr" était la valeur par 
           défaut, en cas d'utilisation d'une autre 
           langue, il y avait obligation de spécifier son 
           code dans chaque page concernée.] (Ce nouveau 
           système remplace la balise 
           page/description/lang désormais obsolète)
2021-03-20 XSL generation des pages : on peut utiliser 
           (dans les liens et sections préformatées) la 
           valeur "£dg77£", qui représente l'URL complêt 
           du site : ce dernier n'a plus lieu de figurer 
           nulle part dans les fichiers sources XML. 
           Modules concernés : dg8_h.xsl, dg_liens.xsl, 
           dg8_head.xsl, dg_hl.xsl, dg_signets.xsl.
2021-03-20 CSS stylgen.css stylscr.css : amelioration 
           presentation des index d'images.
2021-03-17 CSS stylgen.css stylscr.css : suppression de la
           classe suitg.
2021-03-14 CSS style des tables (dg8_h.xsl) : suppression 
           de la classe xtab. Désormais la grille 
           (encadrement des cellules) apparait par défaut.
2021-03-12 dg_gal_index.xsl Index d'une galerie d'images :
           abandon de la présentation dans une TABLE, 
           utilisation de DIV. stylgen.css : nouvelle 
           classe gal_gri (display:table).
2021-03-11 dg_img.xsl Nouvel attribut des images (balise 
           img) loading="lazy" sorti par defaut.
2021-03-11 Style CSS, stylgen.css affichage correct des 
           images nécessite img { height:auto }.
2021-03-05 Dimensions des images (cf precedents), ok pour
           fichier xml externe.
2021-03-04 Dimensions des images (cf precedent), ok pour 
           "galeries".
2021-03-02 Modif xslt : dg_img.xsl dg_gal_img.xsl, 
           possibilite nouvelle : injection des dimensions
           des images (attributs width et height) 
           extraites via un process ad-hoc. Reste à voir :
           index de "galeries"
2021-03-02 Correction dg8_h.xsl : il y avait un double 
           traitement de l'attribut width.
2021-02-24 CSS ameliorations presentation listes de lien 
           et index page RSS (bgalt_a/b).
2021-02-23 CSS suppression des classes "bgbleup" et 
           "bgnoir" (fond bleu clair et noir).
2021-02-20 CSS style stylscr.css : nouvelle révision 
           (dt/dd.bgalt_a/b) ergonomie mobile validée par 
           Google.
2021-02-16 CSS style stylscr.css : pour petits ecrans, 
           liste de liens (couleurs alternees) dans 
           sommaire haut de page : espacement sous chaque 
           lien.
2021-02-15 CSS style stylscr.css : pour petits ecrans, 
           generalisation du retour à la ligne par 
           "word-wrap" dans balises PRE (texte 
           preformate).
2021-01-24 dg_p.xsl (pied de page) classe "fig_g" : 
           remplacee par classe "navg".
2021-01-22 CSS style stylgen.css galerie.css stylscr.css. 
           Suppression des classes fig_g et fig_d, il n'y
           a plus que navg et navd (elements blocs 
           flottants à gauche/droite).
2021-01-21 dg_lien.xsl dg_hl.xsl dg_rss.xsl dg_img.xsl 
           Pour les liens internes, on peut désormais 
           utiliser des URL absolus (liens commençant par 
           "/" et contenant le chemin complet).
2021-01-21 CSS style stylgen.css galerie.css : suppression
           des classes imgx et imgy. padding associé 
           simplement à la balise "img".
2021-01-16 dg_entete.xsl Ajout en tete d'une balise 
           generale "header".
2021-01-15 dg_p.xsl Partie finale desormais englobee dans
           un element "footer"
2021-01-15 dg_p.xsl QRCode pour version imprimable : 
           remplacement de DIV par FIGURE, position 
           flottante gauche mise avant les autres sorties.
2021-01-14 dg8_h.xsl La balise html5 "code" est maintenant
           prévue.
2021-01-13 dg8_h.xsl LISTRSS : amelioration cas URL local,
           lien direct seulement si extension htm(l).
2021-01-06 Galerie, page image : reprise du titre général, 
           remplacement de DIV par P
2021-01-03 CSS style stylgen.css stylscr.css charte.css, 
           suppression de la classe "index" obsolete.
2021-01-01 CSS style stylscr.css, petit écran. 
           Amélioration des "boutons" au stade "visited" 
           (texte sur fond jaune était trop clair).


## [09] - 30 décembre 2020
2020-12-29 design/Config.xml Désormais l'image "favicon" 
           est parametree
2020-12-28 dg_entete.xsl Version imprimable : libelle 
           general parametrable (dans root_index.xml -> 
           entree/descr), et ajout du sous-titre.
2020-12-27 CSS style : stylscr.css et lettres.css 
           amélioration pour problemes contraste 
           (#casting et liens trop sombres dans la version
           pour "petit ecran" sur fond noir).
2020-12-25 CSS style : suppression de la classe schema, 
           inutilisee.
2020-12-24 CSS style : boutons et menus bords arrondis, 
           corrections (guillemets oubliés pour une 
           police, max-device-width obsolète).
2020-12-22 dg_lien.xsl dg_hl.xsl Amelioration pour sortir
           lien imbriqués par mégarde.
2020-12-22 dg8_h.xsl et dg_signets.xsl Amelioration : dans
           un "id", les espaces sont interdits, donc 
           automatiquement supprimés.
2020-12-18 dg_hl.xsl Lien interne à la page en cours. 
           L'URL n'est plus imprimé
2020-12-17 dg_p.xsl Alignement à gauche QRcode par class 
           navg au lieu de fig_g
2020-12-16 listes de lien dg_signets.xsl : Ajout des 
           balises html5 : nav et header
2020-12-16 Listes de liens dg_signets.xsl : correction 
           bug, (cas où @titre de la balise "categorie" 
           est vide).


## [08] - 15 décembre 2020
2020-12-15 Au début du "pied" de page, trait horizontal 
           invisible ("hr") pour assurer séparation de la 
           partie "main" qui précède.
2020-12-13 Menus, nouveau système, basé sur l'utilisation
           de display:table etc. : remplacement de la 
           class="index" par id="menutab", avec 
           emboîtement de DIV. Il n'y aura plus de menu 
           dans une table. 11 pages concernées.
2020-12-12 Désormais on sort la balise lien "a" meme si 
           href est vide dg_lien.xsl)
2020-12-11 RSS : correction (cas sortie balisage html : 
           "dd" était resté)
2020-12-11 Élimination de l'attribut xml:lang
2020-12-09 design/Config.xml La feuille de style "galerie 
           d'images" est désormais paramétrée (varoanme 
           class_gal).
2020-12-07 CSS remplacement de poeme.css par lettres.css 
           qui prend aussi les spécifications "casting" 
           auparavant dans stylgen.xsl
2020-12-07 XSL/dg8_head.xsl Dans l'entete, link 
           rel="copyright" remplacé par "license"
2020-12-06 Correction dg8_h.xsl et dg_gal_img.xsl galerie 
           d'image : galtit remplacé par galfic pour 
           détecter si image à sortir (l'affichage était 
           défectueux si "galtit" était vide).
2020-12-04 html5 les pages venues d'un fichier rss ont 
           pour chaque "article" (tiré d'un "item") le 
           pubdate reporté dans une balise "time".
2020-12-02 html5 la partie "main" commence par "time" avec
           date derniere mise à jour.
2020-12-01 html5, support ajouté pour la balise time et 
           ses attributs.
2020-11-25 Le contenu principal d'une page est désormais 
           placé dans la balise "main" avec une classe 
           paramétrée dans Config.xml (class_main) au lieu
           d'un div muni de la classe par défaut 
           "contenu"/
2020-11-23 Processeur XSLT Saxon : passage à la version 10
2020-11-23 x8_o_utf8.xsl correction : ajout clause 
           include-content-type="no" dans xsl:output 
           (clause "<meta http-equiv..." inutile car il y 
           a deja "<meta charset=...")
2020-11-22 Nouvelle structure des pages news marche et 
           autres RSS : "article" au lieu des balises 
           dt+dd dans dl.
2020-11-21 Nouveaux éléments html5 : section, article, 
           header, footer.
2020-11-20 dg8_h.xsl correction : attribut lang balise 
           html était fixe.


## [07] - 13 novembre 2020
2020-11-12 La liste des pages bénéficiant du bouton de 
           retour au précédent par javascript est 
           désormais dans un fichier externe (identifié 
           dans Config.xml) et non plus en "dur" dans le 
           module XSLT.
2020-09-02 [spécifique] XSL_spec/dg_calend.xsl 
           complément libellé "Résultats archives"
2020-06-27 [spécifique] XSL_spec/dg_calend.xsl Class
           "noprint" pour la colonne resultats.
2020-05-02 Galerie d'image : utilisation de la balise 
           <figure> au lieu de <div>
2020-04-29 Pour les illustrations (et le "multimedia"), au
           lieu de <div>, désormais utilisation des 
           balises <figure>, <figcaption>, <audio>, et de 
           l'attribut @controls.
2020-04-24 Sitemap.htm a aussi le bouton de retour 
           javascript
2020-04-23 Ajout du bouton "Sitemap" dans la barre de 
           navigation, affiche le caractère #9776 
           "trigramme du ciel".
2020-03-23 Style spécifique sur fond noir destiné aux 
           "petits écrans". Cette évolution devrait 
           économiser l'énergie, question importante pour 
           les smartphones.
2020-03-11 Config.xml Désormais 3 feuilles de style au 
           lieu de 2 (générale, écran, impression).


## [06] - 03 février 2020
2020-01-30 Suppression d'un mécanisme obsolète ('*' dans
           url pour sortir seulement le chemin local).
2020-01-26 Trois sous-domaines facultatifs peuvent être 
           paramétrés en standard.
2020-01-22 Version imprimable ameliorée avec QR code. 
           - Entête simplifié,
           - À la fin : QR code du site.
2020-01-19 Déplacement de la page signature gnupg
2020-01-16 Correction génération entête (balise meta 
           name-generator)
2020-01-16 Entête : menubar est seulement un ID, plus une
           CLASS.
2020-01-15 Suppression de la variable css_mob, obsolète.
2020-01-12 class result nouvelle (pour débordement des tag
           pre).
2020-01-08 Suppression de la barre spécifique à la home 
           page.
2020-01-08 Plusieurs pages reçoivent le pseudo lien 
           javascript pour retour
2020-01-08 Remplacement de la page d'information générale 
           about.htm par info.htm (nouvelle variable dans 
           Config.xml)
2020-01-02 Dans dg_hl.xsl, application du perfectionnement
           déjà utilisé ailleurs (sortir un lien relatif si
           l'URL = site en cours.
2020-01-01 Correction dg_lien.xsl (faire fonctionner 
           "contains")
2019-12-16 Liste de liens : deux styles independants de la
           couleur.
2019-12-16 Nouvelle charte de couleur pour les 20 ans du 
           site.
2019-11-18 Galerie d'images : pied, variables f_index, 
           f_retour pour traitement fichier externe
2019-11-16 Dans dg8_head.xsl et dg_entete on peut se 
           passer de "protoc" : éradication.


## [05] - 09 novembre 2019
2019-11-09 Le protocole est paramétré, variable protoc 
           dans Config.xml (but : faciliter la transition 
           http / https).
2019-11-04 Attributs pour images galhau et galarg supprimés


## [04] - 28 septembre 2019
2019-09-06 rss : formatage de la date, au lieu de sortie 
           brute (ex: 03 sep 19 au lieu de 2019-09-03:00).
2019-09-06 Nouvelle classe lrss.
2018-04-03 pied vers. imprimable avec dates cre et maj au 
           lieu d'horodat.
2017-12-19 Application de la modification du 2017-11-13 
           aux listes de titres d'un fichier RSS (listrss)
2017-11-19 rss : amélioration pour le lien du SOMMAIRE 
           vers "autres" : attribut guid "direct" (pour 
           avoir lien direct depuis le sommaire)
2017-11-13 dg_rss : traîtement amélioré des TITLE, 
           auparavant seulement le sommaire conservait le 
           formatage (template edtit).
2017-10-05 Head : ajout de  type="image/x-icon" pour 
           rel="shortcut icon". Dédoublement: rel "icon" 
           en plus de "shortcut icon"


## [03] - 13 mai 2017
2017-05-12 Modifications pour faire fonctionner galerie
           d'image dans fichier externe (pas parfait !).
2017-05-10 Rationalisation (templates supprimes ou 
           externalises) et ameliorations sur galerie en 
           fichier externe (cf dg_out.xsl)
2017-05-09 suite : bonne recuperation du chemin % racine
2017-05-09 suite : traitement standard pour dates cre/upd 
           transféré ici.
2017-05-08 suite : traitement commun dans template 
           "loopimg".
2017-05-06 dg_out : ajout du cas galerie images dans 
           fichier externe (il reste encore des points à 
           regler...).
2017-02-01 Suite, ajout de l'attribut TITLE pour 
           infobulle.
2017-01-31 Galerie d'image : liens de navigation :
           - Coloration du bouton de retour à l'index
           - Ajout du "bouton" de retour à la page de 
           retour general.
2016-12-29 amélioration de la clause output/method pour
           conformité W3C.
2016-11-29 Notes de bas de page : apparition du texte de 
           la note si on passe le pointeur sur le lien 
           (balise "title" ajoutée). Limite : 1600 
           caracteres.
2016-10-06 Correction bug listrss (si pas d'url indiqué)
2016-06-09 [spécifique] XSL_spec/dg_calend.xsl Option
           "X"=annulé au lieu du lien vers resultats.


## [02] - 29 decembre 2015
2015-12-15 gestion des URL amelioree pour les adresses 
           correspondant au site.
2015-12-14 Nouvelle balise INSERT, pour inclure un fichier
           XML à un endroit quelconque d'une page. Cet 
           élément a ensuite été supprimé. L'élément 
           <d:inclure> s'y est depuis substitué.


## [01] - 10 decembre 2015
2015-12-10 Création de dg_calend.xsl à partir d'une 
           section de dg_table.xsl. Déplacement dans 
           /XSL_spec.
2015-12-10 correction sortie listrss (lastbuildate était 
           dans la liste sans balisage)
2015-12-10 acces au fichier root_index amélioré : 
           désormais il est inutile de spécifier tous les
           sous-répertoires existants.
2015-12-10 Possibilité de CSS specifiques dans une page
2015-12-10 suppression des spécificités FELIPE
2015-12-10 media queries "mobile device" : "handeld" 
           supprimé (deprecated) 
2015-12-08 Diverses variables (auteur) créées par travail
           de "progiciellisation" (au lieu de données 
           fixes)
2015-12-08 Suppression du support de formats WAP et 
           Docbook.
2015-12-07 création du fichier design/Config.xml d'où sont
           chargées désormais les variables. Variables : 
           email, about.
2015-12-05 Le contenu du bandeau d'entête est désormais 
           externalisé dans un fichier paramétré. Nouvelle
           variable dgbando dans Config.xml, contenant le 
           chemin et nom du fichier bandeau general du 
           site.
2015-12-04 rss : adaptation permettant d'intégrer du 
           balisage à l'intérieur de TITLE (il s'agissait 
           de faire apparaître correctement le contenu de 
           SPAN)
2015-11-16 dg8_head.xsl : le lien rel="home" de l'entête 
           enfin adapté au nom de domaine paramétrable 
           (domaine et ssdom).
2015-10-17 Auteur et copyright : ne sont plus en 
           caracteres "small".
2015-09-26 Calendrier : la colonne resultats n'apparait 
           que si nécessaire.
2015-09-25 Calendrier : ajout sous-element cla_res (lien 
           vers resultats eventuels)
2015-04-24 rss : attribut limitant le nombre d'item 
           affichés par LISTRSS (cf 2014-09-01).
2015-04-22 rss : on ne sort plus automatiquement un lien 
           vers le rss d'origine 
2015-02-06 nouvelle classe gomain pour empecher le 1er 
           lien sur petit ecran.
2014-11-04 rss, correction (un dl englobant, indésirable 
           en html5)
2014-11-04 Passage du xhtml 1.1 au html5
2014-11-03 creation x8_o_utf8.xsl, passage à UTF-8
2014-09-01 LISTRSS : ajout du cas où pas de lien indiqué 
           dans le RSS.
2014-06-07 Page image de galerie : possibilité nouvelle 
           d'avoir des balises "meta" specifiques.
2014-05-29 fin des tests
2014-05-27 suite du 12 : solution trouvee dans dg_h (1er 
           template match="/" à ne pas oublier !)
2014-05-12 Evolution pour utilisation systématique de d:hl
           y compris les liens locaux (pour impression 
           afficher l'url). Pas encore au point pour les 
           fichiers xml externes
2014-05-11 hl : ajout de 11 attributs. Ne fonctionne pas 
           pour les liens internes...
2014-04-28 cf 2012-03-06 : hr remis...
2014-04-26 modification home-page, suite évolution
           utilise menu_divers pour le pieds de la 
           home-page
2014-04-25 modification home-page, le pied inclut des 
           liens (sitemap, news, RSS, PGP, auteur)
2014-05-24 modul dg_table ajout parametre znom en entree
2014-04-22 un seule espace au lieu de 2 au début du 
           bandeau (class "bando2")
2014-04-12 Notes de bas de pages englobees dans un div, et
           id "notes" déplacé du "hr" précédent : utile 
           eventuellement pour les css style spécifique 
           notes.
2014-04-09 css classe cont_lit supprimee.
2014-04-07 Case retour image précédente vide : 3 nbsp au 
           lieu de 4
2014-03-28 changement pour autoriser galerie dans 
           sous-repertoire le lien indiqué avec chemin 
           complet sans "../.."
2014-03-26 remplacement de la classe bloccent par fig_c 
           (autorisant l'inclusion d'une legende)
2014-03-08 Processeur XSLT SAXON version 9.
2014-03-03 bandeau modifié pour laisser espaces si retour 
           à la ligne.
2014-03-03 Page "contact" : suppression bouton "RSS".
2014-03-02 RSS
           - Coloration alternée du Sommaire.
           - Prise en compte du cas ou le "guid" est 
             absent (numerotage d + position (number !).
2014-03-02 modification du bandeau (nbsp entre les 
           caractères)
2014-03-02 Page "contact" : BUG : exclude-result-prefixes 
           ajouter "d" !
2014-02-28 calendrier : attribut title (outre class et id)
           utilisable
2014-02-26 Traitement RSS, sortie de balisage par attribut
           type="html", ne pas oublier le namespace dans 
           le document.
2014-01-07 Galerie : ne pas mettre la date maj sur une 
           page image s'il n'y a pas lieu.
2013-12-05 jsdg77_pop.js head, ajout possibilité de ligne
           script : attributs ajoutes pour javascript 
           (onclick, target). Affichage rendu possible de 
           "popup".
2013-11-29 RSS Possibilité de sortie distincte balisage 
           html au lieu de simple "pre"
2013-11-29 traitement RSS : value-of au lieu de copy-of 
           pour la description (sinon : la balise 
           description est copiée avec son contenu et ses 
           namespaces...)
2013-09-10 traitement RSS : affiche un sommaire au début 
           si attribut "sommaire" de l'element channel non
           vide.
2013-07-06 traitement RSS : apply-templates remplacé par 
           copy-of.           
2013-06-17 liste de liens : attribut id dans balise dt et
           non pas a(href) ; non utilisation de tattrib.
2013-05-24 Lien de retour vers page de retour : on tient 
           compte désormais du cas où il y avait un id 
           (#xxx) après le nom ...htm
2013-04-19 deplacement de la barre de navigation haute 
           (après le menu general et non plus directement 
           sous le bandeau).
2013-04-02 rss : suite, correction pour affichage liens 
           internes compatibles dans les XML (url 
           integral) et HTML (chemin local).
2013-03-29 rss : gestion du chemin pour lien interne (sans
           http).
2013-03-28 rss : suppression du test type de lien="url".
2013-01-27 listrss : limitation du nombre d'elements 
           affichés.
2012-12-11 CSS Style Présentation générale adaptée aux 
           "petits écrans" ("mobile devices"). 
           Indispensable en raison de la généralisation 
           des smartphones.
2012-12-07 Généralisation de l'encodage UTF-8 des pages 
           html, en remplacement d'ISO-8859-1. Les 
           fichiers "source" .xml restent (sauf omission) 
           en ascii, les caractères spéciaux (c'est-à-dire
           essentiellement les caractères accentués) 
           y sont représentés par des entités.
2012-12-07 Galerie : titre general mis APRES titre page 
           sous image.
2012-12-01 calendrier : attributs utilisables pour 
           colonnes du tableau.
2012-11-22 Bouton de retour par javascript pour pages 
           communes.
2012-11-20 Le lien vers la page "contact" fait appel 
           désormais à un sous-domaine fonctionnant sous 
           Wordpress.
2012-11-04 Nouvelle classes "deco" et "suitd" pour éviter 
           la sortie de certaines images de début de page
           (gestion petit ecran).
2012-10-10 listrss (cf modif precedente) : affiche la 
           valeur de lastBuildDate.
2012-09-04 calendrier : attributs id notamment utilisable 
           au niveau "eve".
2012-08-30 calendrier : template calendtit permettant les
           attributs std dans le titre (id notamment).
2012-08-28 on peut lister les titres d'un fil rss 
           (template nouveau listrss).
2012-06-18 CSS Style head : ajout META VIEWPORT (support 
           terminaux portables). Utilisation de la clause
           @media.
2012-04-22 head : encodage variable dans balise meta 
           content.
2012-04-14 les parametres specifies dans dg77_2 ou 
           mobile.xsl
2012-04-02 Gestion affichage début et fin d'une "enfilade"
2012-03-30 head : ajout META CACHE (retiré par la suite).
2012-03-22 Externalisation du Calendrier dans 
           dg_table.xsl.
2012-03-19 on se passe maintenant des icones PNG, 
           navigation par bouton avec caractère ASCII.
2012-03-19 head : possibilité de feuille de style css pour
           "mobile device".
2012-03-17 pied : horodatage generation accessible (title)
           sur l'ecran et plus seulement version 
           imprimable.
2012-03-16 galerie, page image : centrage simplifie
2012-03-15 1ere page d'une suite, case vers suivant vide
           sortie pour garder meme presentation que les 
           autres.
2012-03-06 hr inutile apres ynavig
2012-03-06 pied : suppression hr avant znavig
2012-03-02 Evolution des feuilles de style. dg4.css 
           obsolète, diverses evolutions de presentation 
           generale et css : plus d'icones/images png de 
           navigation mais utilisation de la classe 
           "bouton" ; feuilles css separees pour galerie, 
           sommaire, poeme, calendrier.
2012-02-29 head : possibilite de feuille de style css 
           supplementaire
2012-02-27 calend : utilisation pur css avec classes 
           (feuille css separee)
2012-02-26 calend : changement couleurs de fond
2012-02-20 rss : lien avec rel="nofollow" ; idem pour lien
           vers xml d'origine
2012-01-12 galerie : suppression de la dimension (attribut
           galarg) par defaut
2011-12-19 supplément ajoutable sous le bandeau general 
           (element nouveau tet_add de la partie 
           page/description)
2011-12-14 notes : possibilite d'avoir un id precis (ne 
           pas dependre du numerotage)
2011-12-09 notes : possibilite maintenant d'utiliser des 
           attributs
2011-12-06 affichages pied modifiés
2011-11-21 affichages pied modifiés
2011-11-14 nouvelle "barre de menu", contenu trouvé à 
           partir du fichier repertoires externe
2011-10-19 RSS possibilite de titre sans lien (balise 
           link) associe.
2011-10-01 attribute "rel" nofollow
2011-09-27 galerie : recuperation dates cre/upd par defaut
           pour page image
2011-09-17 bandeau particulier si section "felipe" 
           (attention, ne fonctionne pas encore pour 
           "galerie" d'image)
2011-09-16 les sous-titres du bandeau d'entête sont gérés 
           par chainage (xsl:key) d'un fichier externe des 
           repertoires (root_index.xml).
2011-09-10 nouvel element embed
2011-09-06 pied home-page : differenciée
2011-09-05 rss, espace entre lien et span class=print
2011-09-02 sortie d'un complement de titre dans le bandeau
           d'entete en fonction de la section 
           (sous-repertoire en principe)
2011-08-27 CSS style nouveauté sauts de page possible 
           (impression).
2011-08-26 head : galerie : modif pour empecher plusieurs 
           pages avec meme description
2011-08-15 liste de liens : liens : possibilité de 
           spécifier le niveau de titre
2011-08-14 supression de tabulations dans la balise 
           principale xsl-stylesheet !
2011-08-14 passage xsl-output method de xml a html
2011-08-12 Classe optionnelle paramétrable pour le 
           principal (defaut : "contenu")
2011-08-06 head : title "precedent..." au lien de 
           "retour..."
2011-08-01 ...bulhrien supprimé
2011-07-26 pied home page : nouvelle icone de decallage en
           bas 
2011-07-25 head : gestion amelioree des keywords et 
           description pour pages "galerie"
2011-07-25 image blanche bulhrien pour la home page.
2011-07-24 pour "galerie" reintegre liens navigation en 
           haut de page
2011-07-23 entete home page : icone de décallage en haut
2011-07-17 Nom de domaine paramétrable (ne fonctionne pas 
           partout).
2011-06-25 amelioration galerie (attribut alt).
2011-02-21 Notes de bas de pages, nouvelle possibilité.
2011-02-20 Listes de liens - signets : le niveau de 
           titre h1 à h5 est paramétré par un attribut.
2010-07-17 galerie, page image : nouveau cadrage
2009-03-06 Accès direct chez Amen. Plus de redirection.
2009-02-04 Arrêt de php (page "contact").
2008-05-01 CSS style : pre.schema
2008-04-30 CSS style : gestion pre.listing enrichie pour 
           wrap dans différents cas.
2008-03-05 CSS style : "case" pour indications encadrées.
2006-11-12 Nouveau : balise hl pour ajout automatique de 
           l'URL complet dans la version imprimable.
2006-07-31 "Galeries d'images" : système refondu, nouvelle
           version intégrée au site.
2006-03-25 Dernière évolution de la "galerie d'images" 
           ancienne formule.
2005-__-__ [XSLT] En cours d'année, passage au processeur
           SAXON à la place de XALAN pour la génération 
           des pages à partir de fichiers XML.
2005-06-01 Page "contact" utilisant PHP.
2005-01-   url du site : dominique.guebey.club.fr
2004-11-25 Galerie d'images : améliorations diverses 
           (emplacement des images...)
2004-11-15 Galerie d'images : ébauche de capacités 
           multilingues...
2004-11-05 Possibilité de traiter des fichiers DOCBOOK 
           (support très limité de ce format)
2004-10-19 La génération automatique est maintenant 
           appliquée à tout site, y compris les RSS et 
           certains fichiers spécifiques.
2004-09-27 [XSLT] La génération automatisée des pages est 
           pleinement en production.
2004-09-14 Favicon : création d'une image favicon.ico, 
           utilisée dans les entetes (partie "head") des 
           pages html.
2004-02-19 Stockage du log site en RSS 2.0 au lieu de 
           RDF/RSS 1.0.
2004-02-18 Stockage des news marche en RSS 2.0 au lieu de 
           RDF/RSS 1.0.
2004-01-30 Galerie d'images : désormais les pages sont
           automatiquement séparées (auparavant il restait
           à les copier coller depuis la sortie).
2003-12-30 Apparition d'une feuille de style CSS pour 
           impression.
2003-10-08 [XSLT] C.V. au format texte sorti directement
           du xml par xslt
2003-09-29 Galerie, fichier xslt modifie : attribut "alt" 
           dans element "img" obligatoire en xhtml 1.1
2003-09-24 Résumé du site en format RDF 1.0.
2003-08-09 WAP : La Philosophie dans le Boudoir (Sade), 
           commencée le 30 juin, est complêtement en ligne
2003-06-29 WAP "site en construction" : nouvelle adresse 
           perso.sowap.com/dg77
2003-06-06 Passage au XHTML 1.1 au lieu de 1.0 strict.
2003-05-04 Rubrique galeries d'images selon nouveau 
           système spécifique.
2003-04-29 Documentation première version de galerie 
           d'images stockée en XML.
2003-04-24 Résultats de marche enregistrés dans fichiers 
           XML/RSS
2003-04-03 Site WAP en ligne.
2003-01-03 Remplacement icones gif par png
2002-08-13 Passage progressif au xhtml "strict".
2002-07-09 domaine dg77.net, redirection vers 
           club-internet.fr
2002-05-01 url du site : club-internet.fr/dominique.guebey
1999-12-__ url du site : home.worldnet.fr/dguebey